2009-12-03  Jonathan Pobst  <monkey@jpobst.com>

	* System.Data.dll.sources: Add SortOrder.cs.

2009-10-16  Zoltan Varga  <vargaz@gmail.com>

	* Makefile: Avoid else ifeq which is not recognized by some make versions.

2009-10-14  Jonathan Pryor  <jpryor@novell.com>

	* monotouch_System.Data.dll.sources: Added.

2009-08-17  Veerapuram Varadhan  <vvaradhan@novell.com>

	* System.Data_test.dll.sources: Added
	Mono.Data.SqlExpressions/DateComparisonTest.cs.
	
2009-07-15  Veerapuram Varadhan  <vvaradhan@novell.com>

	* System.Data.dll.sources: Added TableAdapterSchemaInfo.cs.
	
2009-01-03  Gert Driesen  <drieseng@users.sourceforge.net>

	* System.Data_test.dll.sources: Added SqlCommandBuilderTest.cs
	and SqlParameterTest.cs.

2008-12-30  Gert Driesen  <drieseng@users.sourceforge.net>

	* System.Data_test.dll.sources: Added DBConcurrencyExceptionTest.cs.

2008-12-30  Gert Driesen  <drieseng@users.sourceforge.net>

	* System.Data_test.dll.sources: Added OdbcCommandBuilderTest.cs,
	OdbcConnectionStringBuilderTest.cs and DbCommandBuilderTest.cs.

2008-12-22  Ankit Jain  <jankit@novell.com>

	* System.Data_test.dll.sources: Fix typo in SqlXmlTest.cs

2008-08-27  Daniel Morgan <monodanmorg@yahoo.com>

	* System.Data.SqlClient/SqlConnectionStringBuilder.cs: modified -
	add missing connection options, correct case of some connection options,
	added dictionary for mapping
	defaults, for Item this indexer needs to return a default
	for a valid keyword if it does not exist in the dictionary,
	must override the Keys and Values collection to return all keys
	and values whether or not they exist in the dictionary and if
	they do not then return a default value for Values

2008-08-27  Daniel Morgan <monodanmorg@yahoo.com>

	* System.Data.Common/DbConnectionStringBuilder.cs: Keys and Values
	get properties should return a ReadOnlyCollection

2008-07-28  Gert Driesen  <drieseng@users.sourceforge.net>

	* System.Data_test.dll.sources: Added SqlNotificationRequestTest.cs.

2008-07-01  Marek Safar  <marek.safar@gmail.com>

	* SqlDataReader.cs: Schema key is always a string.

2008-06-26  Veerapuram Varadhan  <vvaradhan@novell.com>

	* System.Data.dll.sources: Add new SqlDependency.cs
	
2008-06-11  Jb Evain  <jbevain@novell.com>

	* Makefile: fix EXTRA_DISTFILES to include all needed
	xsd and xml files.

2008-05-30  Marek Safar  <marek.safar@gmail.com>

	* Makefile: More extra dist files.

2008-03-03  Ankit Jain  <jankit@novell.com>

	* System.Data.dll.sources: Add new OleDbMetaDataCollectionNames.cs
	* System.Data_test.dll.sources: Add the new OdbcMetaDataColumnNamesTest,
	OleDbMetaDataCollectionNamesTest and SqlClientMetaDataCollectionNamesTest.

2007-11-14  Atsushi Enomoto  <atsushi@ximian.com>

	* System.Data_test.dll.sources: added MonkeyDataSet.cs, test helper.

2007-10-20  Gert Driesen  <drieseng@users.sourceforge.net>

	* System.Data_test.dll.sources: Added DbDataAdapterTest.cs,
	OdbcCommandTest.cs, OdbcConnectionTest.cs, OdbcDataAdapterTest.cs,
	OleDbCommandTest.cs, OleDbConnectionTest.cs, OleDbDataAdapterTest.cs,
	SqlDataAdapterTest.cs.

2007-10-15  Gert Driesen  <drieseng@users.sourceforge.net>

	* System.Data_test.dll.sources: Added DbTransactionTest.cs.

2007-10-01  Joel Reed  <joelwreed@gmail.com>

	* Mono.Data.SqlExpressions/Functions.cs: accept SingleColumnValues and 
	BoolLiterals for IIF condition
	* Mono.Data.SqlExpressions/Parser.jay: accept arithmetic expressions
	for SUBSTRING start and length parameters, accept SingleColumnValue and 
	BoolLiteral for IIF condition, fix copy and paste bug in IS NOT NULL
	* Mono.Data.SqlExpressions/StringFunctions.cs: accept arithmetic expressions
	for substring start and length parameters
	* Test/Mono.Data.SqlExpressions/DataColumnExpressionTest.cs: add tests for 
	IIF SingleColumnValue and BoolLiteral conditions, and SUBSTRING arithmetic expressions

2007-09-27  Nagappan A <anagappan@novell.com> 

	* System.Data.dll.sources: Added new files SqlDataSourceConverter.cs,
	  SqlInitialCatalogConverter.cs, NetworkLibraryConverter.cs.

2007-08-13  Nagappan A  <anagappan@novell.com>

	* System.Data.dll.sources: Added
	System.Data.Odbc/OdbcMetaDataColumnNames.cs,
	System.Data.Odbc/OdbcMetaDataCollectionNames.cs.

2007-07-01  Gert Driesen  <drieseng@users.sourceforge.net>

	* System.Data.dll.sources: Removed ISqlNotificationReceiver.cs,
	SqlDataSourceEnumerator.cs, SqlNotificationAuthType.cs,
	SqlNotificationTransports.cs.

2007-06-21  Nagappan A  <anagappan@novell.com>

	* System.Data.dll.sources: Added
	System.Data.Odbc/OdbcConnectionStringBuilder.cs.

2007-05-30  Nagappan A  <anagappan@novell.com>

	* System.Data.dll.sources: Added SqlBulkCopy.cs,
	SqlBulkCopyColumnMappingCollection.cs.

2007-05-29  Gert Driesen  <drieseng@users.sourceforge.net>

	* System.Data_test.dll.sources: Added SqlCommandTest.cs.

2007-03-09  Nagappan A  <anagappan@novell.com>

	* System.Data.dll.sources: Removed
	System.Data.SqlTypes/SqlStreamChars.cs as its not part of 1.0 and
	2.0 profile.

2007-03-03  Gert Driesen  <drieseng@users.sourceforge.net>

	* app_test_2.0.config: Modified DbProviderFactories to allow testing
	of clear and remove nodes.

2007-03-03  Gert Driesen  <drieseng@users.sourceforge.net>

	* app_test_2.0.config: Fixed assembly qualified names of config
	handler. Removed usage of ConnectionStringsSectionHandler, since
	this is now handled by 2.0 config system. Spaces to tabs.
	* System.Data.dll.sources: Removed ConnectionStringsSectionHandler.

2007-02-23  Nagappan A  <anagappan@novell.com>

	* System.Data_test.dll.sources: Added
	System.Data/XmlDataLoaderTest.cs, System.Data/XmlDataReaderTest.cs
	tests for bug # 80596.
	Added System.Data/TrailingSpaceTest.cs test for bug # 79695.

2007-02-21  Nagappan A  <anagappan@novell.com>

	* System.Data_test.dll.sources: Added
	System.Data.OleDb/OleDbParameterCollectionTest.cs

2007-02-09  Nagappan A  <anagappan@novell.com>

	* System.Data_test.dll.sources: Added
	System.Data.SqlTypes/SqlBytesTest.cs,
	System.Data.SqlTypes/SqlCharsTest.cs.

	* System.Data.dll.sources: Removed
	System.Data.SqlTypes/SqlDate.cs, System.Data.SqlTypes/SqlTime.cs,
	System.Data.SqlTypes/SqlUtcDateTime.cs,
	System.Data.SqlTypes/SqlXmlReader.cs as they are not part of 2.0
	profile.

2006-12-07  Nagappan A  <anagappan@novell.com>

	* System.Data_test.dll.sources: Added
	Mono.Data.SqlExpressions/DataColumnExpressionTest.cs,
	System.Data/DataTableTest3.cs, System.Data/DataTableTest4.cs

2006-11-28  Miguel de Icaza  <miguel@novell.com>

	* Rationalize use of MonoTODO as well.

2006-11-05  Vladimir Krasnov  <vladimirk@mainsoft.com>

	* System.Data20.vmwcsproj: added OleDbFactory.cs

2006-10-24  Hagit Yidov  <hagity@mainsoft.com>

	* System.Data.dll.sources:
		- Added to build :
			Test/System.Data/DataTableReadXmlSchemaTest.cs
	
2006-10-22  Zoltan Varga  <vargaz@gmail.com>

	* Makefile (TEST_MONO_PATH): Add '.' to TEST_MONO_PATH.

2006-09-26	Boris Kirzner <borisk@mainsoft.com>

	* run-tests.test.disconnected.bat,run-tests.test.connected.bat: 
	log files naming fix.

2006-09-17	Boris Kirzner <borisk@mainsoft.com>

	* run-tests.test.disconnected.bat : added usage of app config.

2006-09-12	Boris Kirzner <borisk@mainsoft.com>
	* run-tests.test.connected.bat, run-tests.test.disconnected.bat: 
	small fixes for TARGET_JVM test scrips.

2006-09-12	Boris Kirzner <borisk@mainsoft.com>
	* run-tests.test.connected.bat, run-tests.test.disconnected.bat: 
	reworked logging options for TARGET_JVM tests.

2006-07-17  Senganal T  <tsenganal@novell.com>

	* System.Data.dll.sources:
		- Added to build :
			Test/System.Data/DataViewTest_IBindingListView.cs
	
2006-07-13  Senganal T  <tsenganal@novell.com>

	* System.Data.dll.sources: 
		- Added to build :
			System.Data.Common/DbMetaDataColumnNames.cs
		- Removed from build :
			System.Data.Common/DbCommandOptionalFeatures.cs
			System.Data.Common/DbCommandSet.cs
			System.Data.Common/DbProviderSupportedClasses.cs
			System.Data.Common/SchemaLocation.cs
			System.Data.Odbc/OdbcConnectionFactory.cs
			System.Data.SqlClient/SqlConnectionFactory.cs
			System.Data.ProviderBase/DbCommandBase.cs
			System.Data.ProviderBase/DbConnectionBase.cs
			System.Data.ProviderBase/DbConnectionFactory.cs
			System.Data.ProviderBase/DbConnectionInternal.cs
			System.Data.ProviderBase/DbConnectionPoolCounters.cs
			System.Data.ProviderBase/DbConnectionPoolOptions.cs
			System.Data.ProviderBase/DbDataReaderBase.cs
			System.Data.ProviderBase/DbMetaDataFactory.cs
			System.Data.ProviderBase/DbParameterBase.cs
			System.Data.ProviderBase/DbParameterCollectionBase.cs
			System.Data.ProviderBase/DbReferenceCollection.cs

	* Makefile : Add System.Transactions library reference to net_2_0 PROFILE

2006-06-30  Senganal T  <tsenganal@novell.com>

	* System.Data.dll.sources: 
		- Add to build : System.Data/SerializationFormat.cs,
		System.Data/DataSetDateTime.cs,	System.Data/DataTableNewRowEventArgs.cs
		System.Data/DataTableNewRowEventHandler.cs	
		- Remove from build : System.Data/ConflictOptions.cs,
		System.Data/DbMetaData.cs, System.Data/FillOptions.cs,
		System.Data/ResultSetSensitivity.cs, 
		System.Data/ResultSetOptions.cs,System.Data/UpdateOptions.cs

2006-05-16  Vladimir Krasnov  <vladimirk@mainsoft.com>

	* run-tests.test.connected.bat: skip nunit build if already done
	* run-tests.test.disconnected.bat: skip nunit build if already done

2006-05-07 	Boris Kirzner <borisk@mainsoft.com>
	* System.Data.vmwcsproj: added XmlHelper.cs to TARGET_JVM project.

2006-03-16 	Boris Kirzner <borisk@mainsfot.com>
	* run-tests.test.connected.bat - fix in TARGET_JVM test script.

2006-03-16 	Boris Kirzner <borisk@mainsfot.com>
	* run-tests.test.connected.bat - fix classpath in TARGET_JVM test script.

2006-03-12	Boris Kirzner <borisk@mainsfot.com>
	* run-tests.bat, run-tests.test.connected.bat, run-tests.test.disconnected.bat
	added batch files for automated testing for TARGET_JVM.

2006-02-19  Konstantin Triger <kostat@mainsoft.com>

	* TARGET_JVM: added JDBC provider generic adapter mechanism.

2006-02-17  Chris Toshok  <toshok@ximian.com>

	* System.Data.dll.sources: remove
	System.Data/DataAdapterException.cs, and add
	System.Data.Common/SupportedJoinOperators.cs.

	* System.Data.dll.sources: remove
	System.Data/AdapterMappingException.cs.

	* System.Data.dll.sources: remove IDbAsyncConnection.cs,
	IDbAsyncCommand.cs, IGetTypedData.cs, ISetTypedData.cs,
	IDataReader2.cs, IDataSources.cs, IDbExecutionContext.cs,
	IDataRecord2.cs, IDataUpdatableRecord.cs, and
	DbDataUpdatableRecord.cs from the build.

2006-01-02	Boris Kirzner <borisk@mainsoft.com>
	* System.Data_test.dll.sources: added new tests.

2006-01-01  Daniel Morgan <danielmorgan@verizon.net>

	* System.Data.Common/DbDataAdapter.cs: fix
	regression for NET_2_0 causing NotImplementedException.
	Fixes bug #77105.

2005-11-30  Konstantin Triger <kostat@mainsoft.com>

        * jay.bat: quoting passes

2005-11-27  Konstantin Triger <kostat@mainsoft.com>

	* System.Data.vmwcsproj: added ConflictOption.cs

2005-11-21  Senganal T  <tsenganal@novell.com>

	* System.Data.dll.sources: 
		- Added System.Data/ConflictOption.cs : Source file for ConflictOption
			enumeration.

2005-11-15 Vlad Spivak <spivak@mainsoft.com>
	* TARGET_JVM related changes

2005-11-11  Senganal T  <tsenganal@novell.com>

	* System.Data.dll.sources: added
	System.Data/SchemaSerializationMode.cs : Enumeration for NET_2_0 compatibility	

2005-10-08  Sureshkumar T  <tsureshkumar@novell.com>

	* System.Data.dll.sources: added
	System.Data.Odbc/NativeBuffer.cs. native buffer pointer.

2005-09-20 Konstantin Triger <kostat@mainsoft.com>

	* Added jay.bat to run jay in java prebuild step
	* System.Data.vmwcsproj: added prebuild step

2005-09-02 Umadevi S <sumadevi@novell.com>
	* System.Data.dll.sources: Added SqlProcedureAttribute,SqlTriggerAttribute and 
	 SqlTriggerContext.cs to Microsoft.SqlServer.Server namespace.Also added SqlXml to 		     SqlTypes namespace	

2005-09-02 Umadevi S <sumadevi@novell.com>
	* System.Data.dll.sources: Changes for Microsoft.SqlServer.Server namespace and the
	files to be compiled with it, removed files from System.Data.Sql namespace
	Also removed SqlResultSet.cs from System.SqlClient namespace

2005-09-01 Boris Kirzner <borisk@mainsoft.com>
	* System.Data.dll.sources: fixed build. Changed reference to Consts.cs.in.

2005-08-31 Boris Kirzner <borisk@mainsoft.com>
	* System.Data.vmwcsproj: changed reference to Consts.cs.in.

2005-08-22 Boris Kirzner <borisk@mainsoft.com>
	* System.Data.vmwcsproj: changed reference to Consts.cs.

2005-08-20 Gert Driesen <drieseng@users.sourceforge.net>
	* Makefile: Allow unsafe code. This fixes the build on Windows (using
	csc).

2005-07-27 Boris Kirzner <borisk@mainsoft.com>
	* System.Data.vmwcsproj: changed location of rt.dll in TARGET_JVM project file.
	
2005-07-21 Boris Kirzner <borisk@mainsoft.com>
	* System.Data.vmwcsproj, System.Data.sln - removed source control 
	information from TARGET_JVM project and solution files.
	
2005-07-12  Eyal Alalouf  <eyala@mainsoft.com>
	* System.Data_tests.dll.sources:
	  Removed use of obsolete System.Data.Tests.Mainsoft/GHTUtils

2005-07-12  Eyal Alalouf  <eyala@mainsoft.com>
	* System.Data_tests.dll.sources:
	  Standardized Mainsoft System.Data exception tests

2005-07-12  Eyal Alalouf  <eyala@mainsoft.com>
	* System.Data_tests.dll.sources:
	  Unified Mainsoft DataRelation tests into one test in Test/System.Data
	  Unified Mainsoft DataRow tests into one test in Test/System.Data
	  Unified Mainsoft DataRowCollection tests into one test in Test/System.Data
	  Unified Mainsoft DataRowView tests into one test in Test/System.Data
	  Unified Mainsoft DataTableCollection tests into one test in Test/System.Data
	  Unified Mainsoft DataTable tests into one test in Test/System.Data
	  Unified Mainsoft DataView tests into one test in Test/System.Data
	  Unified Mainsoft ForeignKeyConstraint tests into one test in Test/System.Data
	  Unified Mainsoft UniqueConstraint tests into one test in Test/System.Data

2005-07-12  Eyal Alalouf  <eyala@mainsoft.com>
	* System.Data_tests.dll.sources: Unified Mainsoft DataRelationCollection tests into one test in Test/System.Data

2005-07-12  Eyal Alalouf  <eyala@mainsoft.com>
	* System.Data_tests.dll.sources: Unified Mainsoft DataColumn tests into one test in Test/System.Data

2005-06-21  Sureshkumar T  <tsureshkumar@novell.com>
2005-06-30  Eyal Alalouf  <eyala@mainsoft.com>
	* System.Data_tests.dll.sources: Unified Mainsoft DataColumnCollection tests into one test in Test/System.Data

2005-06-21  Sureshkumar T  <tsureshkumar@novell.com>

	* System.Data.dll.sources: Added SqlConnectionStringBuilder.cs and
	DbConnectionStringBuilderHelper.cs

	* System.Data_test.dll.sources: Added
	SqlConnectionStringBuilderTest.cs

2005-06-19  Konstantin Triger <kostat@mainsoft.com>

	System.Data.vmwcsproj: keeping up to date with move of Locale.cs and MonoTODOAttribute.cs

2005-06-14  Lluis Sanchez Gual <lluis@novell.com>

	* Makefile: Added reference to System.Configuration.

2005-05-31 Boris Kirzner <borisk@mainsoft.com>
		* System.Data_test.dll.sources : added System.Data.Tests.Mainsoft/System.Data/RowNotInTableException/RowNotInTableException_Generate.cs
		
2005-05-30 BorisKirzner <borisk@mainsoft.com>
		* System.Data.SqlClient.jvm
		* System.Data.Configuration.jvm
		* System.Data.ProviderBase.jvm
		* System.Data.SqlTypes.jvm
		* System.Data.OleDb.jvm
			Added copyrigth information to all sources.
	

2005-05-30 BorisKirzner <borisk@mainsoft.com>
	* System.Data : new folders added :
		- System.Data.SqlClient.jvm
		- System.Data.Configuration.jvm
		- System.Data.SqlTypes.jvm
		- System.Data.OleDb.jvm	
	* System.Data.vmwcsproj : TARGET_JVM project file added
	* System.Data.sln : TARGET_JVM solution file added
	* System.Data.SqlClient.jvm/SqlDataReader.cs 
	* System.Data.SqlClient.jvm/SqlParameterCollection.cs
	* System.Data.SqlClient.jvm/SqlRowUpdatedEventArgs.cs
	* System.Data.SqlClient.jvm/SqlException.cs
	* System.Data.SqlClient.jvm/SqlConnection.cs
	* System.Data.SqlClient.jvm/SqlInfoMessageEventHandler.cs
	* System.Data.SqlClient.jvm/SqlStringManager.cs
	* System.Data.SqlClient.jvm/SqlRowUpdatingEventHandler.cs
	* System.Data.SqlClient.jvm/SqlErrorCollection.cs
	* System.Data.SqlClient.jvm/SqlParameterConverter.cs
	* System.Data.SqlClient.jvm/MetaType.cs
	* System.Data.SqlClient.jvm/SqlDataAdapter.cs
	* System.Data.SqlClient.jvm/SqlConnection.resx
	* System.Data.SqlClient.jvm/SqlClientPermissionAttribute.cs
	* System.Data.SqlClient.jvm/SqlRowUpdatedEventHandler.cs
	* System.Data.SqlClient.jvm/SqlCommand.cs
	* System.Data.SqlClient.jvm/SqlInfoMessageEventArgs.cs
	* System.Data.SqlClient.jvm/SqlConvert.cs
	* System.Data.SqlClient.jvm/SqlParameter.cs
	* System.Data.SqlClient.jvm/SqlRowUpdatingEventArgs.cs
	* System.Data.SqlClient.jvm/SqlCollation.cs
	* System.Data.SqlClient.jvm/ISqlNotificationReceiver.cs
	* System.Data.SqlClient.jvm/SqlCommandBuilder.cs
	* System.Data.SqlClient.jvm/SqlTransaction.cs
	* System.Data.SqlClient.jvm/SqlClientPermission.cs
	* System.Data.SqlClient.jvm/SqlXmlTextReader.cs
	* System.Data.SqlClient.jvm/SqlError.cs
	* System.Data.SqlClient.jvm/SqlConnectionPool.cs
	* System.Data.SqlClient.jvm/SqlCommand.resx
	* System.Data.SqlClient.jvm/SqlResultSet.cs
	* System.Data.Configuration.jvm/ObjectNameResolutionSectionHandler.cs
	* System.Data.Configuration.jvm/GlobalConfig.cs
	* System.Data.Configuration.jvm/ObjectNameResolversCollection.cs
	* System.Data.Configuration.jvm/ObjectNameResolver.cs
	* System.Data.SqlTypes.jvm/SqlDateTime.cs
	* System.Data.SqlTypes.jvm/SqlTime.cs
	* System.Data.SqlTypes.jvm/SqlDecimal.cs
	* System.Data.SqlTypes.jvm/SqlInt32.cs
	* System.Data.SqlTypes.jvm/SqlTypeException.cs
	* System.Data.SqlTypes.jvm/SqlChars.cs
	* System.Data.SqlTypes.jvm/SqlInt16.cs
	* System.Data.SqlTypes.jvm/SqlCompareOptions.cs
	* System.Data.SqlTypes.jvm/SqlByte.cs
	* System.Data.SqlTypes.jvm/SqlInt64.cs
	* System.Data.SqlTypes.jvm/SqlTruncateException.cs
	* System.Data.SqlTypes.jvm/SqlString.cs
	* System.Data.SqlTypes.jvm/SqlUtcDateTime.cs
	* System.Data.SqlTypes.jvm/SqlDouble.cs
	* System.Data.SqlTypes.jvm/SqlStreamChars.cs
	* System.Data.SqlTypes.jvm/SqlDate.cs
	* System.Data.SqlTypes.jvm/SqlBoolean.cs
	* System.Data.SqlTypes.jvm/SqlSingle.cs
	* System.Data.SqlTypes.jvm/SqlXmlReader.cs
	* System.Data.SqlTypes.jvm/SqlBinary.cs
	* System.Data.SqlTypes.jvm/SqlBytes.cs
	* System.Data.SqlTypes.jvm/SqlNullValueException.cs
	* System.Data.SqlTypes.jvm/SqlMoney.cs
	* System.Data.SqlTypes.jvm/INullable.cs
	* System.Data.SqlTypes.jvm/SqlGuid.cs
	* System.Data.ProviderBase.jvm/OleDbStrings.resx
	* System.Data.ProviderBase.jvm/AbstractDataReader.cs
	* System.Data.ProviderBase.jvm/ParameterMetadataWrapper.cs
	* System.Data.ProviderBase.jvm/AbstractDbError.cs
	* System.Data.ProviderBase.jvm/SqlClientStrings.resx
	* System.Data.ProviderBase.jvm/AbstractDbParameterCollection.cs
	* System.Data.ProviderBase.jvm/AbstractDbException.cs
	* System.Data.ProviderBase.jvm/AbstractDBConnection.cs
	* System.Data.ProviderBase.jvm/AbstractDbErrorCollection.cs
	* System.Data.ProviderBase.jvm/DbStringManager.cs
	* System.Data.ProviderBase.jvm/AbstractDbCommand.cs
	* System.Data.ProviderBase.jvm/AbstractDBCommand.cs
	* System.Data.ProviderBase.jvm/AbstractTransaction.cs
	* System.Data.ProviderBase.jvm/AbstractDBParameter.cs
	* System.Data.ProviderBase.jvm/AbstractDbParameter.cs
	* System.Data.ProviderBase.jvm/regex.cs
	* System.Data.OleDb.jvm/OleDbErrorCollection.cs
	* System.Data.OleDb.jvm/OleDbSchemaGuid.cs
	* System.Data.OleDb.jvm/OleDbDataAdapter.cs
	* System.Data.OleDb.jvm/OleDbPermissionAttribute.cs
	* System.Data.OleDb.jvm/libgda.cs
	* System.Data.OleDb.jvm/OleDbRowUpdatedEventHandler.cs
	* System.Data.OleDb.jvm/OleDbCommand.cs
	* System.Data.OleDb.jvm/OleDbInfoMessageEventArgs.cs
	* System.Data.OleDb.jvm/OleDbConvert.cs
	* System.Data.OleDb.jvm/OleDbParameter.cs
	* System.Data.OleDb.jvm/OleDbType.cs
	* System.Data.OleDb.jvm/OleDbOracleDataReader.cs
	* System.Data.OleDb.jvm/OleDbRowUpdatingEventArgs.cs
	* System.Data.OleDb.jvm/OleDbCommandBuilder.cs
	* System.Data.OleDb.jvm/OleDbTransaction.cs
	* System.Data.OleDb.jvm/OleDbConnectionFactory.cs
	* System.Data.OleDb.jvm/OleDbPermission.cs
	* System.Data.OleDb.jvm/OleDbError.cs
	* System.Data.OleDb.jvm/OleDbLiteral.cs
	* System.Data.OleDb.jvm/OleDbDataReader.cs
	* System.Data.OleDb.jvm/OleDbParameterCollection.cs
	* System.Data.OleDb.jvm/OleDbRowUpdatedEventArgs.cs
	* System.Data.OleDb.jvm/OleDbException.cs
	* System.Data.OleDb.jvm/OleDbConnection.cs
	* System.Data.OleDb.jvm/OleDbInfoMessageEventHandler.cs
	* System.Data.OleDb.jvm/OleDbStringManager.cs
	* System.Data.OleDb.jvm/OleDbRowUpdatingEventHandler.cs
		New classes added (used in TARGET_JVM only)
		
2005-05-29 BorisKirzner <borisk@mainsoft.com>
	* System.Data.dll.sources: Added ExceptionHelper.cs
	
2005-05-29 Eyal Alaluf <eyala@mainsoft.com>
	* System.Data_tests.dll.sources: Unified Mainsoft ConstraintCollection tests into one test in Test/System.Data

2005-05-25 Umadevi S <sumadevi@novell.com>
	* System.Data.dll.sources : Added DbException.cs, SqlClientMetaDataCollectionNames.cs

2005-05-20 Umadevi S <sumadevi@novell.com>
	* System.Data.dll.sources: Added DbProviderSpecificTypePropertyAttribute.cs

2005-05-20 Umadevi S <sumadevi@novell.com>
	* System.Data.dll.sources :Added SqlNotificationEventArgs.cs,OnChangeEventHandler.cs

2005-05-19 Umadevi S <sumadevi@novell.com>

	* System.Data.dll.sources: Added SqlBulkCopyOptions.cs,SqlBulkCopyColumnMapping.cs,
			SqlNotificationAuthType.cs,SqlNotificationTransports.cs,
			SqlRowsCopiedEventArgs.cs, SqlRowsCopiedEventHandler.cs

2005-05-16  Konstantin Triger <kostat@mainsoft.com>

	* Test/System.Data/DataSetTest.cs: performing correct cleanup
	* System.Data_test.dll.sources: Including Mainsoft tests

2005-05-04  Sureshkumar T  <tsureshkumar@novell.com>

	* System.Data.dll.sources: Added DataTableClearEventArgs.cs and
	DataTableClearEventHandler.cs.

2005-04-27  Sureshkumar T  <tsureshkumar@novell.com>

	* System.Data_test.dll.sources: Added DataTableReaderTest.cs

2005-04-22  Sureshkumar T  <tsureshkumar@novell.com>

	* System.Data_test.dll.sources: Added DataTableLoadRowTest.cs.

2005-01-05  Konstantin Triger <kostat@mainsoft.com>

	* DbCommandOptionalFeatures.cs, DbConnectionString.cs, DbConnectionOptions.cs: revert to r43344

2005-01-05  Konstantin Triger <kostat@mainsoft.com>
	
	* DbDataAdapter.cs: Rostore the Dispose logic

2005-04-28  Konstantin Triger <kostat@mainsoft.com>  Sureshkumar T  <tsureshkumar@novell.com>

	* DataView.cs: Nullify an index when Closed

2005-04-27  Konstantin Triger <kostat@mainsoft.com>

	* DataRow.cs: Removed unneeded check of RowState

2005-04-27  Konstantin Triger <kostat@mainsoft.com>

	* ConstraintCollection: throw DuplicateException only if names match exactly with Table's locale

2005-04-08  Raja R Harinath  <rharinath@novell.com>

	* Makefile (EXTRA_DISTFILES): Add app_test_2.0.config.

2005-04-07  Sureshkumar T  <tsureshkumar@novell.com>

	* System.Data.dll.sources: In System.Data.SqlClient
	Added SqlAsyncState.cs & SqlAsyncResult.cs

2005-04-04  Sureshkumar T  <tsureshkumar@novell.com>

	* System.Data_test.dll.sources: Added
	Test/System.Data.Common/DbConnectionStringBuilderTest.cs

	* System.Data.dll.sources: Added
	System.Data.Common/DbConnectionStringBuilder.cs

2005-03-10  Sureshkumar T  <tsureshkumar@novell.com>

	* System.Data.dll.sources: Added
	System.Data.Odbc/OdbcConnectionFactory.cs. 
	System.Data.Odbc/OdbcFactory.cs.

2005-03-10  Sureshkumar T  <tsureshkumar@novell.com>

	* System.Data.dll.sources: Added
	System.Data.Odbc/OdbcTypeConverter.cs

2005-03-02  Sureshkumar T  <tsureshkumar@novell.com>

	* System.Data.dll.sources: Added
	System.Data.SqlClient/SqlConnectionFactory.cs.

2005-03-01  Sureshkumar T  <tsureshkumar@novell.com>

	* System.Data.dll.sources: Added System.Data.Common/
	ConnectionStringsSectionHandler.cs.
	* app_test_2.0.config: Changed the configuration handler for
	seciton "connectionStrings".

2005-02-22  Sureshkumar T  <tsureshkumar@novell.com>
        
	* System.Data_test.dll.sources: Added
	System.Data.Common/ConnectionStringsSectionTest.cs
	
2005-02-22  Sureshkumar T  <tsureshkumar@novell.com>

	* Makefile: added dependancy for test-lib to create
	$(test-lib).config. These configuration entries are used currently
	by Test/System.Data.Common/DbProviderFactories-
	ConigurationHalderTest.cs tests. Future tests can also add
	configuration information in configuration file
	app_test.2.0.config. This is for 2.0 profile only.

	* System.Data_test.dll.sources: 
	Added System.Data.Common/DbProviderFactoriesConfigurationHandlerTest.cs.

	* System.Data.dll.sources: 
	Added System.Data.SqlClient/SqlClientFactory.cs
	Added System.Data.SqlClient/SqlDataSourceEnumerator.cs

2005-02-15  Atsushi Enomoto  <atsushi@ximian.com>

	* System.Data.dll.sources : added XmlSchemaWriter.cs.

2005-02-02  Atsushi Enomoto  <atsushi@ximian.com>

	* System.Data_test.dll.sources : added DataViewManagerTest.cs.

2005-01-24  Atsushi Enomoto  <atsushi@ximian.com>

	* System.Data_test.dll.sources : added DataRowViewTest.cs.

2004-11-25  Raja R Harinath  <rharinath@novell.com>

	* Makefile (BUILT_SOURCES): New.  Build Mono.Data.SqlExpressions/Parser.cs.
	(EXTRA_DISTFILES): Add Mono.Data.SqlExpressions/Parser.jay.
	* System.Data.dll.sources: Don't mention Mono.Data.SqlExpressions/Parser.cs.

2004-11-10  Martin Baulig  <martin@ximian.com>

	* System.Data.Sql/ISqlCommand.cs,
	System.Data.Sql/ISqlConnection.cs,
	System.Data.Sql/ISqlExecutionContext.cs,
	System.Data.Sql/ISqlParameterCollection.cs,
	System.Data.Sql/ISqlTransaction.cs: Added `new' modifiers where needed.

2004-10-06  Umadevi S <sumadevi@novell.com>
	* System.Data.dll.sources : Added ISqlNotificationReceiver, SqlNotifcationType,
		SqlNotificationInfo, SqlNotificationSource

2004-09-15  Sebastien Pouliot  <sebastien@ximian.com>

	* System.Data_test.dll.sources: Added OdbcPermission, OleDbPermission 
	and SqlClientPermission unit tests to the build.

2004-09-14  Sebastien Pouliot  <sebastien@ximian.com>

	* System.Data_test.dll.sources: Added DBDataPermission unit tests to
	the build.

2004-09-14 Umadevi S <sumadevi@novell.com>
	* Added System.Data.SqlTypes/SqlNotFilledException.cs,System.Data.SqlTypes/
	SqlAlreadyFilledException.cs to System.Data.dll.sources

2004-09-13  Sebastien Pouliot  <sebastien@ximian.com>

	* Makefile: Added /nowarn:618 when compiling unit test assembly to 
	remove nunit obsolete warnings.
	* System.Data.dll.sources: Added System.Data.Common.DbConnectionOptions
	(NET_2_0) and System.Data.Common/PermissionHelper to the build.
	* System.Data_test.dll.sources: Added {DBData|Odbc|OleDb|SqlClient}
	PermissionAttribute unit tests to the build.

2004-08-25  Nick Drochak  <ndrochak@ieee.com>

	* Makefile: Cut down the the build noise.

2004-08-19 Gert Driesen <drieseng@users.sourceforge.net>
	* Added System.Data.SqlClient/SqlConnectionTest.cs to 
	System.Data_test.dll.sources

2004-07-14 Umadevi S <sumadevi@novell.com>
	* Added System.Data.SqlTypes/StorageState.cs to System.data.dll.sources

2004-07-09 Umadevi S <sumadevi@novell.com>
	* Added System.Data.Sql/IUdtSerializationContext.cs and System.Data.Sql/SqlFacetAttribute.cs to system.data.dll.sources

2004-06-02 Umadevi S <sumadevi@novell.com>
	* added System.Data/DataTableTypeConverter to system.data.dll.sources

2004-05-27 Umadevi S <sumadevi@novell.com>
	* added files DataTableMappingCollectionTest and DataColumnMappingCollectionTest to system.data_test.dll.sources

2004-05-26  Umadevi S <sumadevi@novell.com>
        * Added files DataTableCollectionTest and DataRelationCollectionTest to the system.data_test.dll.sources

2004-05-20 Umadevi S <sumadevi@novell.com>
	* Fixed bug 58406- implemented the hasrow method, test program used
	 to test with the bug report

2004-05-19 Boris Kirzner <borisk@mainsoft.com>
	* System.Data.dll.sources : Added DataContainer.cs
	
2004-05-19 Boris Kirzner <borisk@mainsoft.com>
	* System.Data.dll.sources : Added RecordCache.cs
	
2004-05-14 Umadevi S <sumadevi@novell.com>
        * System.Data.dll.sources : Added SQLDebugging.cs

2004-05-14 Umadevi S <sumadevi@novell.com>
	* System.Data.dll.sources : Added OdbcParameterConverter.cs

2004-05-14 Umadevi S <sumadevi@novell.com>
        * System.Data.dll.sources : Added OdbcCategoryAttribute.cs OdbcDescriptionAttribute.cs

2004-05-14 Umadevi S <sumadevi@novell.com>
        * System.Data.dll.sources : Added OdbcCommandBuilder.cs

2004-05-14 Umadevi S <sumadevi@novell.com>
        * System.Data.dll.sources : Added OdbcInfoMessageEventArgs.cs, OdbcInfoMessageEventHandler.cs

2004-05-14 Umadevi S <sumadevi@novell.com>
	* System.Data.dll.sources : Added OdbcPermission.cs,OdbcPermissionAttribute.cs

2004-05-13  Umadevi S  <sumadevi@novell.com>
                                                                                                    
        * System.Data.dll.sources : added OleDbParameterConverter.cs
                                                                                  

2004-05013  Umadevi S  <sumadevi@novell.com>

	* System.Data.dll.sources : added RelationshipConverter.cs 

2004-05-07  Atsushi Enomoto <atsushi@ximian.com>

	* System.Data.dll.sources : added XmlDataInferenceLoader.cs and
	  XmlDataReader.cs.

2004-04-26  Jackson Harper  <jackson@ximian.com>

	* Makefile: output to profile directory.
	
2004-04-26  Atsushi Enomoto <atsushi@ximian.com>

	* System.Data.dll.sources : added CustomDataClassGenerator.cs.

2004-04-19  Atsushi Enomoto <atsushi@ximian.com>

	* System.Data_test.dll.sources : added DataSetInferXmlSchemaTest.cs.

2004-04-19  Atsushi Enomoto <atsushi@ximian.com>

	* System.Data.dll.sources : Added XmlSchemaDataImporter.cs

2004-04-15  Atsushi Enomoto <atsushi@ximian.com>

	* System.Data_test.dll.sources :
	  added DataSetReadXmlSchemaTest.cs and DataSetAssertion.cs.

2004-04-14  Atsushi Enomoto <atsushi@ximian.com>

	* System.Data_test.dll.sources : added DataSetReadXmlTest.cs.

2004-04-13  Atsushi Enomoto <atsushi@ximian.com>

	* System.Data_test.dll.sources : added XmlDataDocumentTest2.cs.

2004-04-05  Lluis Sanchez Gual  <lluis@ximian.com>

	* System.Data.dll.sources: removed SqlConnectionPool.cs.

2004-03-29  Juraj Skripsky <juraj@hotfeet.ch>

	* System.Data.dll.sources : added classes in Mono.Data.SqlExpressions
	* Makefile : add jay-target for Mono.Data.SqlExpressions/Parser.cs

2004-03-12  Andreas Nahr <ClassDevelopment@A-SoftTech.com>

	* System.Data.dll.sources : added classes

2004-03-04 Eran Domb <erand@mainsoft.com>

	* System.Data.dll.sources : added Node.cs, ComparerFactory.cs.

2004-03-03  Atsushi Enomoto <atsushi@ximian.com>

	* System.Data.dll.sources : added Index.cs.

2004-01-21  Atsushi Enomoto <atsushi@ximian.com>

	* System.Data_test.dll.sources : Added TypedDataSetGeneratorTest.cs.

2004-01-20  Atsushi Enomoto <atsushi@ximian.com>

	* System.Data.dll.sources: Added missing TypedDataSetGenerator.cs.

2003-12-28  Tim Coleman <tim@timcoleman.com>
	* System.Data.dll.sources:
		Add new .NET 1.2 sources.

2003-12-21  Tim Coleman <tim@timcoleman.com>
	* System.Data.dll.sources:
		Add new .NET 1.2 sources.

2003-12-19  Tim Coleman <tim@timcoleman.com>
	* System.Data.dll.sources:
		Add new .NET 1.2 sources.

2003-12-16  Tim Coleman <tim@timcoleman.com>
	* System.Data.dll.sources:
		Add new .NET 1.2 sources.

2003-11-26  Tim Coleman <tim@timcoleman.com>
	* System.Data.dll.sources:
		Add many new System.Data classes for NET_2_0 build.

2003-11-25  Tim Coleman <tim@timcoleman.com>
	* System.Data.dll.sources:
		Add System.Data/IDataSources.cs to build

2003-07-18  Andreas Nahr <ClassDevelopment@A-SoftTech.com>

	* System.Data.dll.sources: Assembly/Locale.cs added, Assembly/AssemblyInfo.cs added

2003-07-18  Peter Williams  <peter@newton.cx>

	* Makefile (EXTRA_DISTFILES): NUnit.Prefs is not
	a distable file.

2003-07-16  Peter Williams  <peter@newton.cx>

	* Makefile: Flip around for the new default build
	profile.

2003-06-16  Tim Coleman <tim@timcoleman.com>
	* System.Data.Common/DbDataAdapter.cs:
		Add the DataTable to the result set even if it contains
		no rows.  Based on report by Krieg Andreas.

2003-03-17  Daniel Morgan <danmorg@sc.rr.com>

	* System.Data.build: on windows build, ignore
	warnings CS0219: "The variable xxx is assigned but its value is
	never used" and CS0168: "The variable xxx
	is declared but never used"
	
	* System.Data/DataRow.cs: flush
	
	* System.Data/DataSet.cs: start implementation on Clear(),
	and WriteXml() should write the start element <?xml ... ?> at the top
	of the document
	
	* System.Data/DataTable.cs: TODO/FIXME notes. Start implementation
	of Compute() - still not working

2003-03-16  Daniel Morgan <danmorg@sc.rr.com>

	* System.Data/DataRowView.cs: in the constructor pass
	DataRow in instead of int index of the DataRow
	in DataTable.Rows
	
	* System.Data/DataTable.cs: implement sorting
	for method Select(filterExpression,sort)
	
	* System.Data/DataView.cs: more implementation -
	Now, If Sort, RowFilter, or RowStateFilter is set, an 
	enumerated DataRowViews will be a view with those
	properties applied.  Still need to implement event handling
	though.

2003-03-13  Tim Coleman <tim@timcoleman.com>
	* System.Data.SqlClient/SqlCommandBuilder.cs:
		Change "where" variable name to "whereClause" at the
		request of Rhys Weatherley <rweather@zip.com.au>

2003-03-10  Daniel Morgan <danmorg@sc.rr.com>

	* System.Data.SqlClient/SqlDataReader.cs: when 
	the data reader is closed, this SqlDataReader referenced 
	in SqlConnection needs to be null
	
	* System.Data.Common/DbDataAdapter.cs: for SelectCommands executed that
	have no result set, such as, DDL like CREATE TABLE or DML like INSERT,
	the data reader needs to be immediately closed, and 0 returned
	as the number of rows added or refreshed

2003-02-18  Daniel Morgan <danmorg@sc.rr.com>

	* DataTableRelationCollection.cs: removed file
	because its internally in file DataRelationCollection.cs

2003-02-18  Alan Tam <Tam@SiuLung.com>

	* DataRelation.cs: Added storage required to hold the relations.
	  Checking of constraints are not implemented yet.
	* DataRelationCollection.cs: Implemented DataSetRelationCollection
	  and DataTableRelationCollection, both as inner class of the abstract class
	  DataRelationCollection (like Microsoft although not documented in ECMA).
	* DataRow.cs: Implemented GetChildRows in a extremely slow way.
	  Need to implement caching like Microsoft later.
	* DataSet.cs: Uncomment DataRelation related members. Uncomment
	  code for Nested XML. Implemented WriteTable(XmlWriter, DataRow[],
	  XmlWriteMode) for use of Nested XML. Fixed a wrong modifier in
	  GetSerializationData.
	* DataTable.cs: Uncomment DataRelation related members.

2003-02-11  Tim Coleman <tim@timcoleman.com>
	* System.Data.SqlClient/SqlConnection.cs:
		Close the data reader properly, and be sure
		to close the data reader when the connection
		is closed.

2003-02-10  Nick Drochak  <ndrochak@gol.com>

	* System.Data.build: Keep the standalone tests out of the dll.

2003-02-09  Rodrigo Moya <rodrigo@ximian.com>

	* System.Data.OleDb/OleDbConnection.cs:
	* System.Data.OleDb/libgda.cs: upgraded to libgda 0.10.

2003-01-30  Ville Palo <vi64pa@koti.soon.fi>

	* list: Added new file ExpressionElement.cs
	
2003-01-26  Daniel Morgan <danmorg@sc.rr.com>

	* System.Data/DataColumn.cs: fix to not check for DataType being set
	
	* System.Data/DataRow.cs: misc fixes
	
	* Test/SqlTest.cs: accept connection parameters from 
	command line instead of being hard coded
	
	* Test/System.Data_test.build: exclude building SqlTest.cs
	
	* Test/System.Data/DataRowTest.cs
	* Test/System.Data/DataColumnTest.cs: added new tests and numbered
	all the tests so they can be easily identified
	
	* Test/System.Data/DataRelationTest.cs: commented code that calls
	DataSet's BeginEdit() and EndEdit() which causes a compile error

2003-01-24  Daniel Morgan <danmorg@sc.rr.com>

	* System.Data/DataColumn.cs: fixes to be like .NET - 
	when setting AllowDBNull to false, determine if there is 
	any data that has DBNull.Value, implement AutoIncrement, do not
	allow changing the DataType of the column if data has already been
	set, check if the DataType is supported, 
	
	* System.Data/DataColumnCollection.cs: handle default ColumnName
	like .NET
	
	* System.Data/DataRow.cs: fixes to be like .NET - a
	data column gets initialized to all DBNull.Values not null, 
	implement AutoIncrement, when setting ItemArray if the item array being
	set has less items than the number of columns in the table set those last
	columns to DBNull.Value, after setting ItemArray values do an EndEdit(), 
	both a null and DBNull.Value get set to a DBNull.Value, only use DefaultValue
	and AutoIncrement if the value is set to null while DBNull.Value only gets set
	to DBNull.Value

2003-01-17  Daniel Morgan <danmorg@sc.rr.com>

	* System.Data.SqlClient.SqlConnection.cs: add connection 
	parameter UID which is the same thing as User ID
	
2003-01-13  Ville Palo <vi64pa@koti.soon.fi>

	* System.Xml/XmlDataDocument.cs: lots of bugfixes and more implemented
	methods.

2003-01-08  Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* list: added System.Data/DataTablePropertyDescriptor.cs

2002-12-27  Ville Palo <vi64pa@koti.soon.fi>

	* list: Added System.Data/XmlDataLoader.cs
	
2002-12-16  Ville Palo <vi64pa@koti.soon.fi>

	* System.Xml/XmlDataDocument.cs: Now rollback works. It means all
	types of transactions works, i guess ;)
	
2002-12-14  Ville Palo <vi64pa@koti.soon.fi>

	* System.Xml/XmlDataDocument.cs: Adding row via XmlDataDocument to
	DataSet's datatable is now possible.
	
2002-12-11  Ville Palo <vi64pa@koti.soon.fi>

	* System.Xml/XmlDataDocument.cs: Implemented GetRowFromElement() and
	GetElementFromRowElement () -methods. Somefixed and little clean up.

2002-12-10  Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* System.Data.SqlClient/SqlCommand.cs:
	(CloseReader): don't get the output parameters here.
	(GetOutputParameters): don't skip the stream. The parameters will be
	there.

	* System.Data.SqlClient/SqlConnection.cs: don't try to execute
	'sp_reset_connection'.

	* System.Data.SqlClient/SqlDataReader.cs: get the output parameters
	after the end of the results.

2002-12-04  Ville Palo <vi64pa@koti.soon.fi>

	* System.Xml/XmlDataDocument.cs: Now this works in both ways,
	DataSet <--> XmlDataDocument.cs at some level at least.
	
2002-12-02  Ville Palo <vi64pa@koti.soon.fi>

	* System.Xml/XmlDataDocument.cs : some fixes and some imlemented 
	methods.
	
2002-12-01  Tim Coleman <tim@timcoleman.com>
	* System.Data.SqlClient/SqlDataReader.cs:
		Change to reflect TdsSchemaInfo -> TdsDataColumnCollection
		shift.

2002-12-01  Ville Palo <vi64pa@koti.soon.fi>

	* list: Added XmlDataDocument.cs
	* System.Xml/XmlDataDocument.cs: more implementation.
	
2002-11-30  Daniel Morgan <danmorg@sc.rr.com>

	* System.Data.Odbc/OdbcDataReader.cs: implemented GetValues() method
	needed by OdbcDataAdapter
	
	* System.Data.Odbc/OdbcDataAdapter.cs
	* System.Data.Odbc/OdbcRowUpdatedEventArgs.cs
	* System.Data.Odbc/OdbcRowUpdatedEventHandler.cs
	* System.Data.Odbc/OdbcRowUpdatingEventArgs.cs
	* System.Data.Odbc/OdbcRowUpdatingEventHandler.cs: added files for an
	ODBC Data Adapter

	* list: added new files to linux build 
	in namespace System.Data.Odbc for the ODBC Data Adapter
	
	* System.Xml/XmlDataDocument.cs: commented method
	protected internal override XPathNavigator CreateNavigator(XmlNode node)
	because it would not compile on .NET Framework.  Added 
	a FIXME comment there

2002-11-29  Ville Palo <vi64pa@koti.soon.fi>

	* System.Xml/XmlDataDocument.cs: Started to implement.
	
2002-11-26  Tim Coleman <tim@timcoleman.com>
	* System.Data.SqlClient/SqlCommand.cs:
	* System.Data.SqlClient/SqlConnection.cs:
	* System.Data.SqlClient/SqlDataReader.cs:
	* System.Data.SqlClient/SqlParameter.cs:
	* System.Data.SqlClient/SqlParameterCollection.cs:
	* System.Data.SqlClient/SqlTransaction.cs:
		Many changes around restructuring of parameter
		information so that the Sybase provider supports
		PREPAREs too.

2002-11-25  Ville Palo <vi64pa@koti.soon.fi>

	* System.Data/DataSet.cs : Started to implement ReadXmlSchema -method
	
2002-11-21  Tim Coleman <tim@timcoleman.com>
        * System.Data.build:
        * System.Data.SqlClient/SqlCommand.cs:
        * System.Data.SqlClient/SqlConnection.cs:
        * System.Data.SqlClient/SqlConnectionPool.cs:
        * System.Data.SqlClient/SqlDataReader.cs:
        * System.Data.SqlClient/SqlException.cs:
        * System.Data.SqlClient/SqlInfoMessageEventArgs.cs:
        * System.Data.SqlClient/SqlParameter.cs:
        * System.Data.SqlClient/SqlTransaction.cs:
        * System.Data.SqlClient/SqlXmlTextReader.cs:
        * System.Data.SqlTypes/SqlDecimal.cs:
                Modify to accept new Mono.Data.Tds.Protocol
                namespace in Mono.Data.Tds assembly, replacing
                Mono.Data.TdsClient.Internal

2002-11-20  Ville Palo <vi64pa@koti.soon.fi>

	* System.Data.SqlTypes/SqlDecimal.cs: Ported some divide-stuff from 
	decimal.c file. Does not work correctly yet.
	
2002-11-18  Tim Coleman <tim@timcoleman.com>
	* System.Data.SqlClient/SqlConnection.cs:
		BeginTransaction bug.
	* System.Data.SqlClient/SqlParameter.cs:
		Add some comments to describe what is going on.
	* System.Data.SqlClient/SqlCommand.cs:
		Add a TODO.
	* System.Data.SqlClient/SqlDataReader.cs:
		Add support to get SQL Types

2002-11-16  Daniel Morgan <danmorg@sc.rr.com>

	* System.Data/DataView.cs: fix bug
	with DataViewEnumerator causing InvalidOperationException
	on the last item

2002-11-15  Tim Coleman <tim@timcoleman.com>
	* System.Data.Common/DbDataPermission.cs:
	* System.Data.SqlClient/SqlClientPermission.cs:
		Make these agree on the class status page.
        * System.Data.SqlClient/SqlCommand.cs:
                - Fix up handling of GUID and [Var]Binary, and Image types
        * System.Data.SqlClient/SqlParameter.cs:
                - Provide support for conversion between Type,
                  DbType, SqlDbType, and the SQL server type names.
                - Fix up handling of GUID and [Var]Binary types
        * System.Data.SqlClient/SqlParameterCollection.cs:
		Correct all of the Add methods.
        * Test/SqlTest.cs:
                - Add more types to test: unique identifier, binary,
		  image, smalldatetime, money, smallmoney, timestamp

2002-11-14  Daniel Morgan <danmorg@sc.rr.com>

	* System.Data/DataColumnPropertyDescriptor.cs
	* System.Data/DataRowView.cs
	* System.Data/DataView.cs
	* System.Data.Common/DbDataRecord.cs: a little bit more
	implementation for data binding purposes
	
	* Test/PostgresTest.cs
	* Test/TestSqlDataAdapter.cs
	* Test/TestSqlException.cs
	* TestSqlParameters.cs: fixed test for PostgreSQL's new home
	at Mono.Data.PostgreSqlClient

2002-11-14  Tim Coleman <tim@timcoleman.com>
	* System.Data.SqlClient/SqlCommand.cs:
		Slight reformatting of Bit values and sql statements
	* System.Data.SqlClient/SqlDataReader.cs:
		Implement RecordsAffected
		Complete SchemaTable
	* System.Data.SqlClient/SqlParameter.cs:
		Propertly support Char/NChar
	* System.Data.SqlClient/SqlXmlTextReader.cs:
		Add Close () to the Dispose () method

2002-11-13  Tim Coleman <tim@timcoleman.com>
	* Test/SqlTest.cs:
		New class added for testing SqlClient
	* System.Data.SqlClient/SqlCommand.cs:
		Add handling for SqlDbType.Bit
	* System.Data.SqlClient/SqlConnection.cs:
		Implement Dispose () methods.
		Change ConnectionString setter
	* System.Data.SqlClient/SqlDataReader.cs:
		Implement Dispose () methods.
		Set RecordsAffected to -1 by default. Need to
		set this correctly in the future.
	* System.Data.SqlClient/SqlCommandBuilder.cs:
	* System.Data.SqlClient/SqlDataAdapter.cs:
	* System.Data.SqlClient/SqlTransaction.cs:
	* System.Data.SqlClient/SqlXmlTextReader.cs:
		Implement Dispose () methods.

2002-11-12  Tim Coleman <tim@timcoleman.com>
	* list:
		Remove Mono.Data.TdsClient.Internal/TdsContext.cs
	* System.Data.SqlClient/SqlRowUpdatedEventArgs.cs:
	* System.Data.SqlClient/SqlRowUpdatingEventArgs.cs:
		Complete these classes
	* System.Data.Common/DbDataAdapter.cs:
		Experimental support for FillSchema ()

2002-11-11  Tim Coleman <tim@timcoleman.com>
        * System.Data/ResDescriptionAttribute.cs:
        * list
                New internal class added
        * System.Data/Constraint.cs:
        * System.Data/ConstraintCollection.cs:
        * System.Data/DBConcurrencyException.cs:
        * System.Data/DataColumn.cs:
        * System.Data/DataColumnCollection.cs:
        * System.Data/DataRelation.cs:
        * System.Data/DataRelationCollection.cs:
        * System.Data/DataRow.cs:
        * System.Data/DataRowBuilder.cs:
        * System.Data/DataRowBuilder.cs:
        * System.Data/DataRowCollection.cs:
        * System.Data/DataSet.cs:
        * System.Data/DataTable.cs:
        * System.Data/DataTableCollection.cs:
        * System.Data/DataView.cs:
        * System.Data/DataViewManager.cs:
        * System.Data/DataViewSetting.cs:
        * System.Data/DataViewSettingCollection.cs:
        * System.Data/ForeignKeyConstraint.cs:
        * System.Data/ForeignKeyConstraint.cs:
        * System.Data/InternalDataCollectionBase.cs:
        * System.Data/MergeFailedEventArgs.cs:
        * System.Data/StrongTypingException.cs:
        * System.Data/TypeDataSetGeneratorException.cs:
        * System.Data/UniqueConstraint.cs:
        * System.Data.Common/DataAdapter.cs:
        * System.Data.Common/DataColumnMapping.cs:
        * System.Data.Common/DataColumnMappingCollection.cs:
        * System.Data.Common/DataTableMapping.cs:
        * System.Data.Common/DataTableMappingCollection.cs:
        * System.Data.Common/DbDataAdapter.cs:
        * System.Data.Common/DbDataPermission.cs:
        * System.Data.Common/DbDataPermissionAttribute.cs:
        * System.Data.Common/DbEnumerator.cs:
        * System.Data.SqlClient/SqlCommand.cs:
        * System.Data.SqlClient/SqlCommandBuilder.cs:
        * System.Data.SqlClient/SqlConnection.cs:
        * System.Data.SqlClient/SqlDataAdapter.cs:
        * System.Data.SqlClient/SqlParameter.cs:
                Add missing attributes, methods, properties based on information
                from System.Data class status page on go-mono.com.


2002-11-10  Ville Palo <vi64pa@koti.soon.fi>

	* System.Data.SqlTypes/SqlString.cs: Now all methods are implemented
	
2002-11-09  Tim Coleman <tim@timcoleman.com>
	* list:
	* System.Data/DataCategoryAttribute.cs:
		Add new attribute based on corcompare

2002-11-09  Rodrigo Moya <rodrigo@ximian.com>

	* System.Data.OleDb/OleDbDataAdapter.cs: cleaned up implementation,
	based on the PgSql/SqlClient data adapter classes.

2002-11-09  Tim Coleman <tim@timcoleman.com>
	* list:
		Add new internal tds classes
	* System.Data.Common/DbDataAdapter.cs:
	* System.Data.SqlClient/SqlDataAdapter.cs:
		Change event calling system
	* System.Data.SqlClient/SqlClientPermission.cs:
	* System.Data.SqlClient/SqlClientPermissionAttribute.cs:
	* System.Data.SqlClient/SqlDataReader.cs:
		Add comments
	* System.Data.SqlClient/SqlCommand.cs:
		Some changes to make consistent with .NET based on Sql server traces
		Implement command timeout
	* System.Data.SqlClient/SqlCommandBuilder.cs:
		Make sure that we only build a command if key info found
	* System.Data.SqlClient/SqlConnection.cs:
		Change event calling system
		Some changes to make consistent with .NET based on Sql server traces
		Implement connection timeout
	* System.Data.SqlClient/SqlConnectionPool.cs:
		Implement connection timeout
	* System.Data.SqlClient/SqlError.cs:
		Implement ToString ()
	* System.Data.SqlClient/SqlException.cs:
		Mucho implementation and cleanup
	* System.Data.SqlClient/SqlParameter.cs:
		Implement Clone ()
	* System.Data.SqlClient/SqlParameterCollection.cs:
		Code cleanup
	* System.Data.SqlClient/SqlTransaction.cs:
		Move some of the transaction creation to SqlConnection to be consistent
		with .NET SQL traces

2002-11-08  Tim Coleman <tim@timcoleman.com>
	* System.Data/DataRow.cs:
	* System.Data/DataTable.cs:
		Some fix-ups related to the DbDataAdapter to make it work.
	* System.Data.Common/DbDataAdapter.cs:
		Fix the Fill () and Update () methods.  These now work
		fairly well.  Need mucho testing.
	* System.Data.SqlClient/SqlCommandBuilder.cs:
		Support table mappings and parameter source versions now.
	* System.Data.SqlClient/SqlConnection.cs:
	* System.Data.SqlClient/SqlTransaction.cs:
		Add set accessor for transaction so that SqlTransaction.Commit ()
		will remove itself from the connection.
	* System.Data.SqlClient/SqlDataAdapter.cs:
		Update/Insert/Delete command should be null by default.
	* System.Data.SqlClient/SqlException.cs:
		Remove a TODO attribute
	* System.Data.SqlClient/SqlRowUpdatingEventArgs.cs:
		Properly handle the SqlCommand object

2002-11-08  Ville Palo <vi64pa@koti.soon.fi>

	* System.Data.SqlTypes/SqlDateTime.cs: Now the all methods are 
	implemented.
	
2002-11-08  Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* System.Data.SqlTypes/SqlDecimal.cs: fixed build. Someone should check
	my comments and do something more appropiate.

2002-11-07  Ville Palo <vi64pa@koti.soon.fi>

	* System.Data.SqlTypes/SqlBinary.cs:
	* System.Data.SqlTypes/SqlBoolean.cs:
	* System.Data.SqlTypes/SqlByte.cs:
	* System.Data.SqlTypes/SqlDateTime.cs:
	* System.Data.SqlTypes/SqlDecimal.cs:
	* System.Data.SqlTypes/SqlDouble.cs:
	* System.Data.SqlTypes/SqlDecimal.cs:
	* System.Data.SqlTypes/SqlGuid.cs:
	* System.Data.SqlTypes/SqlInt16.cs:
	* System.Data.SqlTypes/SqlInt32.cs:
	* System.Data.SqlTypes/SqlInt64.cs:
	* System.Data.SqlTypes/SqlMoney.cs:
	* System.Data.SqlTypes/SqlSingle.cs:
	* System.Data.SqlTypes/SqlString.cs: Implemented more methods and 
	fixed some. SqlBoolean Equals (object value) -method improvements to
	all classes.
	
2002-11-07  Tim Coleman <tim@timcoleman.com>
	* System.Data.Common/DbDataAdapter.cs:
		Remove NotImplementedException in Dispose
	* System.Data.Common/FieldNameLookup.cs:
		Should be sealed
	* System.Data.SqlClient/SqlCommand.cs:
		Fix CommandText accessor (stack overflow)
		Implement DeriveParameters method
	* System.Data.SqlClient/SqlCommandBuilder.cs:
		Implement this class
	* System.Data.SqlClient/SqlConnection.cs:
		Change application name to "Mono SqlClient Data Provider"
	* System.Data.SqlClient/SqlDataReader.cs:
		Add new schema information
	* System.Data.SqlClient/SqlError.cs:
	* System.Data.SqlClient/SqlErrorCollection.cs:
		Remove internal methods, TODO attributes
	* System.Data.SqlClient/SqlParameter.cs:
		Add new internal constructor for DeriveParameters use
	* System.Data.SqlClient/SqlParameterConverter.cs:
		Add missing methods based on class status

2002-11-07  Nick Drochak <ndrochak@gol.com>
	* list: add System.Data/ColumnDataPropertyDescriptor.cs

2002-11-04  Tim Coleman <tim@timcoleman.com>
	* list:
		Add Mono.Data.TdsClient.Internal.TdsInternalError
		Add Mono.Data.TdsClient.Internal.TdsInternalErrorCollection
		Add Mono.Data.TdsClient.Internal.TdsInternalErrorMessageEventHandler
		Add Mono.Data.TdsClient.Internal.TdsInternalErrorMessageEventArgs
		Add Mono.Data.TdsClient.Internal.TdsInternalInfoMessageEventHandler
		Add Mono.Data.TdsClient.Internal.TdsInternalInfoMessageEventArgs
		Remove Mono.Data.TdsClient.Internal.TdsPacketErrorResult
		Remove Mono.Data.TdsClient.Internal.TdsPacketErrorResultCollection
		Remove Mono.Data.TdsClient.Internal.TdsPacketMessageResult
	* System.Data.Common/RowUpdatedEventArgs.cs:
	* System.Data.Common/RowUpdatingEventArgs.cs:
		Implement
	* System.Data.SqlClient/SqlCommand.cs:
	* System.Data.SqlClient/SqlDataReader.cs:
		Remove checks for errors.  These are now handled by events
	* System.Data.SqlClient/SqlConnection.cs:
	* System.Data.SqlClient/SqlError.cs:
	* System.Data.SqlClient/SqlException.cs:
	* System.Data.SqlClient/SqlInfoMessageEventArgs.cs:
		Add event handlers and triggers for errors, messages, state change
	* System.Data.SqlClient/SqlParameter.cs:
		Re-add refreshproperties
	* System.Data.SqlClient/SqlRowUpdatedEventArgs.cs:
	* System.Data.SqlClient/SqlRowUpdatedEventHandler.cs:
	* System.Data.SqlClient/SqlRowUpdatingEventArgs.cs:
	* System.Data.SqlClient/SqlRowUpdatingEventHandler.cs:
		Implement

2002-11-04  Tim Coleman <tim@timcoleman.com>
	* list:
		Add Mono.Data.TdsClient.Internal.TdsBigDecimal
		Add System.Data.SqlClient.SqlParameterConverter
		Add System.Data.DataSysDescriptionAttribute
	* System.Data/DataSysDescriptionAttribute.cs:
		New class added
	* System.Data.Common/DbDataPermission.cs:
		Add CreateInstance method
	* System.Data.SqlClient/SqlClientPermission.cs:
	* System.Data.SqlClient/SqlError.cs:
		Add Serializable attribute
	* System.Data.SqlClient/SqlCommand.cs:
	* System.Data.SqlClient/SqlConnection.cs:
	* System.Data.SqlClient/SqlDataAdapter.cs:
	* System.Data.SqlClient/SqlParameter.cs:
		Add some missing property attributes
	* System.Data.SqlClient/SqlCommandBuilder.cs:
		Add some missing property attributes
		Implement properties
	* System.Data.SqlClient/SqlDataReader.cs:
		Implement missing methods
	* System.Data.SqlClient/SqlErrorCollection.cs:
		Implement the properties
	* System.Data.SqlClient/SqlException.cs:
		Remove extra property accessors
	* System.Data.SqlClient/SqlInfoMessageEventArgs.cs:
		Add internal constructor
	* System.Data.SqlClient/SqlParameterCollection.cs:
		Add internal constructor
		Add property attributes
	* System.Data.SqlClient/SqlParameterConverter.cs:
		New internal class added
	* System.Data.SqlClient/SqlRowUpdatedEventArgs.cs:
	* System.Data.SqlClient/SqlRowUpdatingEventArgs.cs:
		Remove destructor
	* System.Data.SqlTypes/SqlDecimal.cs:
		Add implicit conversion from TdsBigDecimal to SqlDecimal
	* System.Data.SqlTypes/SqlString.cs:
	* System.Data.SqlTypes/SqlInt16.cs:
	* System.Data.SqlTypes/SqlDateTime.cs:
		Change code to remove compiler warnings

2002-11-04  Stuart Caborn <stuart.caborn@clearswift.com>

	* list: added System.Data/XmlConstants.cs to
	Linux build

    * System.Data/XmlConstants.cs: added -
	* System.Data/DataTable.cs
	* System.Data/DataSet.cs
	* System.Data/DataColumn.cs
	* System.Data/DataColumnCollection.cs
	* System.Data/DataRelation.cs: modified	-
	Began initial implementation of WriteXml 
	and WriteXmlSchema. There is no support for DiffGrams 
	yet. In WriteSchema mode, relationships are missing, 
	all types are xs:string and the namespacing is not 
	working properly. Added support for Ordinals in the 
	DataColumnCollection and added support for 
	namespaces and prefixes.

2002-11-03  Ville Palo <vi64pa@koti.soon.fi>

	* System.Data.SqlTypes/SqlBinary.cs: Finished and no errors generated
	by NUnitConsole_mono.exe
	
2002-11-03  Tim Coleman (tim@timcoleman.com)
	* System.Data.SqlClient/SqlCommand.cs:
		Use SET NO_BROWSETABLE ON when CommandBehavior is KeyInfo
	* System.Data.SqlClient/SqlDataReader.cs:
		Get more schema info if available
	* list:
		Add Mono.Data.TdsClient.Internal.TdsColumnStatus

2002-11-02  Tim Coleman (tim@timcoleman.com) 
	* System.Data.SqlClient/SqlCommand.cs:
		Change to use sp_executesql to run regular text queries.
		Now, sp_executesql for text, sp_execute for prepared,
		and execute for SPs means everything runs a procedure.
	* System.Data.SqlClient/SqlParameter.cs:
		Allow client to set parameter name in Prepare ()
	* System.Data.SqlClient/SqlParameterCollection.cs:
		Implement some methods
	* System.Data.SqlClient/SqlDataReader.cs:
		Since everything is an SP now, we know that when
		we see DoneProc, that we are really done.

2002-11-01  Tim Coleman (tim@timcoleman.com) :
	* System.Data.Common/DbEnumerator.cs :
		Throw correct exception on Reset ()
		Add ColumnSize to schema table.
	* System.Data.SqlClient/SqlDataReader.cs :
		Add ColumnSize to schema table.
	* System.Data.SqlClient/SqlCommand.cs :
		Change the way that preparing is handled.
		Now uses sp_prepare on the server instead of temp
		stored procedures because it's the Right Thing[tm] to do.
	* System.Data.SqlClient/SqlConnection.cs :
		Store data readers here rather than in command
	* System.Data.SqlClient/SqlDataReader.cs :
		More implementation, including binary types
	* System.Data.SqlClient/SqlParameter.cs :
		Lowercase type name

2002-10-31  Tim Coleman (tim@timcoleman.com)
        * System.Data.Common/DbDataAdapter.cs :
                Fix handling of nulls
        * System.Data.Common/DbDataRecord.cs :
                Change GetFieldType ()
        * System.Data.Common/DbEnumerator.cs :
                Add new schema information
        * System.Data.Common/FieldNameLookup.cs :
                Change definition of schema
        * System.Data.Common/SchemaInfo.cs :
                Add more information
        * System.Data.SqlClient/SqlDataReader.cs :
                get more schema table data
        * list :
                Add Mono.Data.TdsClient.Internal.TdsSchemaInfo

2002-10-31  Ville Palo <vi64pa@koti.soon.fi>

	* SqlBinary.cs:
	* SqlBoolean.cs:
	* SqlByte.cs:
	* SqlDecimal.cs:
	* SqlDouble.cs:
	* SqlInt16.cs:
	* SqlInt64.cs:
	* SqlString.cs: Some bugfixes and some TODOs but so much 
	work to do.

2002-10-30  Tim Coleman (tim@timcoleman.com)
	* System.Data.Common/FieldNameLookup.cs:
	* System.Data.Common/SchemaInfo.cs:
	* System.Data.SqlClient/SqlXmlTextReader.cs:
		New classes added
	* list :
		Class list changed in build
	* System.Data.SqlClient/SqlCommand.cs:
		Added support for command behaviors
		Refactored a bunch of code
		Implement ExecuteScalar
		Implement ExecuteXmlReader
	* System.Data.SqlClient/SqlConnection.cs:
		Moved CheckForErrors here
	* System.Data.SqlClient/SqlDataAdapter.cs:
		Code reformatting
	* System.Data.SqlClient/SqlDataReader.cs:
		Implement GetEnumerator
		Fix NextResult, Read
		Add SqlDataReaderEnumerator private class
	* System.Data.SqlClient/SqlParameter.cs:
		Move some of the Prepare code from SqlCommand to here
	* System.Data.SqlClient/SqlTransaction.cs:
		Move error checking to SqlConnection

2002-10-29  Tim Coleman (tim@timcoleman.com)
	* System.Data.SqlClient/SqlCommand.cs:
		Added code to handle parameters for queries
	* System.Data.SqlClient/SqlConnection.cs:
		Properly handle resetting SqlConnections
	* System.Data.SqlClient/SqlDataReader.cs:
		Properly handle the case where no results are returned
	* System.Data.SqlClient/SqlParameter.cs:
		Default direction to Input
	* System.Data.SqlClient/SqlParameterCollection.cs:
		Implement GetEnumerator

2002-10-29  Rodrigo Moya <rodrigo@ximian.com>

	* makefile.gnu: added Test directory.

2002-10-29  Ville Palo <vi64pa@koti.soon.fi>

	* System.Data.SqlTypes/SqlGuid.cs: Fixed some bugs and finished 
	couple of MonoTODOs.
	
2002-10-28  Tim Coleman (tim@timcoleman.com)
        * System.Data.SqlClient/SqlCommand.cs:
                Add some error handling
        * System.Data.SqlClient/SqlDataReader.cs:
                Add some error handling
                Add precision/scale to schema table
        * System.Data.SqlClient/SqlException.cs:
                Generate a SqlException from TDS error
                collection
        * System.Data.SqlClient/SqlTransaction.cs:
                Add some error handling


2002-10-28  Ville Palo <vi64pa@koti.soon.fi>

	* System.Data.SqlTypes/SqlBinary.cs:
	* System.Data.SqlTypes/SqlBoolean.cs:
	* System.Data.SqlTypes/SqlByte.cs:
	* System.Data.SqlTypes/SqlDateTime.cs:
	* System.Data.SqlTypes/SqlDecimal.cs:
	* System.Data.SqlTypes/SqlDouble.cs:
	* System.Data.SqlTypes/SqlDecimal.cs:
	* System.Data.SqlTypes/SqlDouble.cs:
	* System.Data.SqlTypes/SqlGuid.cs:
	* System.Data.SqlTypes/SqlInt16.cs:
	* System.Data.SqlTypes/SqlInt32.cs:
	* System.Data.SqlTypes/SqlInt64.cs:
	* System.Data.SqlTypes/Money.cs:
	* System.Data.SqlTypes/SqlSingle.cs:
	* System.Data.SqlTypes/SqlString.cs:
	* System.Data.SqlTypes/SqlSingle.cs: Fixed internal loop bugs and
	some other minor fixes.

2002-10-27  Rodrigo Moya <rodrigo@ximian.com>

	* System.Data.OleDb/OleDbDataAdapter.cs (Fill, FillSchema,
	GetFillParameters, Update): added overloaded methods.

	* System.Data.OleDb/OleDbCommand.cs:
	* System.Data.OleDb/OleDbDataReader.cs:
	* System.Data.OleDb/OleDbConnection.cs: removed limitation of one
	data adapter at a time. Mono's version can open as many as you want,
	for free.

2002-10-25  Tim Coleman (tim@timcoleman.com)
	* System.Data.SqlClient/SqlConnectionPool.cs:
		New class added
	* System.Data.SqlClient/SqlClientPermission.cs:
	* System.Data.SqlClient/SqlClientPermissionAttribute.cs:
	* System.Data.SqlClient/SqlInfoMessageEventArgs.cs:
	* System.Data.SqlClient/SqlInfoMessageEventHandler.cs:
	* System.Data.SqlClient/SqlParameter.cs:
	* System.Data.SqlClient/SqlParameterCollection.cs:
		Code reformatting
	* System.Data.SqlClient/SqlCommand.cs:
	* System.Data.SqlClient/SqlConnection.cs:
	* System.Data.SqlClient/SqlException.cs:
	* System.Data.SqlClient/SqlTransaction.cs:
		New code based on work in TDS Client
	* list:
		New files added for SqlClient, and TdsClient.Internal
	* System.Data.build:
		Added reference to System.EnterpriseServices.dll
		Still leave SqlClient out of build until danmorg
		can fix.

2002-10-23  Ville Palo <vi64pa@koti.soon.fi>

	* System.Data.SqlTypes/SqlDouble.cs:
	* System.Data.SqlTypes/SqlSingle.cs: Finished
	
2002-10-23  Ville Palo <vi64pa@koti.soon.fi>
	
	* System.Data.SqlTypes/SqlByte.cs:
	* System.Data.SqlTypes/SqlBoolean.cs:
	* System.Data.SqlTypes/SqlInt16.cs:
	* System.Data.SqlTypes/SqlInt32.cs:
	* System.Data.SqlTypes/SqlInt64.cs: Finished. 
		
2002-10-21  Rodrigo Moya <rodrigo@ximian.com>

	* list: removed libodbchelper.cs file, which has been removed.

2002-10-16  Tim Coleamn <tim@timcoleman.com>
	* list:
	* System.Data.build:
		Exclude compiling of System.Data.SqlClient in
		preparation for overhauls of that system.

2002-10-16  Daniel Morgan <danmorg@sc.rr.com>

	* ParmUtil.cs
	* PostgresLibrary.cs
	* PostgresTypes.cs
	* SqlClientPermission.cs
	* SqlClientPermissionAttribute.cs
	* SqlCommand.cs
	* SqlCommandBuilder.cs
	* SqlConnection.cs
	* SqlDataAdapter.cs
	* SqlDataReader.cs
	* SqlError.cs
	* SqlErrorCollection.cs
	* SqlException.cs
	* SqlInfoMessageEventArgs.cs
	* SqlInfoMessageEventHandler.cs
	* SqlParameter.cs
	* SqlParameterCollection.cs
	* SqlRowUpdatedEventArgs.cs
	* SqlRowUpdatedEventHandler.cs
	* SqlRowUpdatingEventArgs.cs
	* SqlRowUpdatingEventHandler.cs
	* SqlTransaction.cs: thanks to Miguel de Icaza, he 
	copied files on the mono cvs server
	from mcs/class/System.Data/System.Data.SqlClient 
	for the PostgreSQL provider
	to mcs/class/Mono.Data.PostgreSqlClient.  
	This frees up
	mcs/class/System.Data/System.Data.SqlClient for 
	the Microsoft SQL Server provider.  
	Any Mono.Data.PostgreSqlClient/Sql*.cs files
	were copied on the cvs server 
	to Mono.Data.PostgreSqlClient/PgSql*.cs files 
	and the old Mono.Data.PostgreSqlClient/Sql*.cs
	files were removed.  Copying, renaming, and removing
	was done on the cvs server so we could keep 
	the cvs change history.

2002-10-15  Daniel Morgan <danmorg@sc.rr.com>

	* System.Data.OleDb/libgda.cs: added more functions
	to platfrom invoke into shared library libgda
	
	* System.Data.OleDb/OleDbDataReader.cs: implemented
	GetSchemaTable() and GetFieldType()

2002-10-13  Daniel Morgan <danmorg@sc.rr.com>

	* System.Data/DataRow.cs: don't throw exception 
	if DBNull is false.  Had to do comment this line
	to allow a typeof(Type).
	
	* System.Data.SqlClient/SqlCommand.cs: the "DataType"
	DataColumn and DataRows in a DataTable for a schema should 
	be typeof Type,	not string.  This is to make it 
	compatible with MS.NET
	
	* System.Data.SqlClient/SqlConnection.cs: the 
	isolation level should be set before
	beginning the transaction
	
	* Test/SqlSharpCli.cs: change string to Type for
	"DataType" from a DataRow in a DataTable 
	that contains a schema.  

2002-10-14  Rodrigo Moya <rodrigo@ximian.com>

	* list: added missing Odbc files.

2002-10-09  Rodrigo Moya <rodrigo@ximian.com>

	* list: added System.Data.Odbc files.

2002-10-09  Brian Ritchie <brianlritchie@hotmail.com>

	* System.Data.Odbc/*: added first version of ODBC managed provider.

2002-10-07  Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* System.Data/ConstraintCollection.cs:
	* System.Data/DataColumnCollection.cs:
	* System.Data/DataRowCollection.cs:
	* System.Data/DataTableCollection.cs:
	* System.Data/InternalDataCollectionBase.cs: made List internal to fix
	the build with csc. It must be a mcs bug. I will try to get a test case.

2002-10-06  Luis Fernandez <luifer@onetel.net.uk>

	* System.Data/Constraint.cs (AssertConstraint): added overloaded
	method.

	* System.Data/DataColumnCollection.cs: added constraints when needed.

	* System.Data/DataRow.cs: validate UniqueConstraint's.

	* System.Data/DataRowCollection.cs (ValidateDataRowInternal): new
	internal method to validate a given DataRow with respect to the
	DataRowCollection.

	* System.Data/ForeignKeyConstraint.cs (AssertConstraint): stubs for
	new overloaded method.

	* System.Data/UniqueConstraint.cs: added implementation.
	(AseertConstraint): implemented new overloaded method.
	
2002-10-01  Rodrigo Moya <rodrigo@ximian.com>

	* System.Data.OleDb/OleDbConnection.cs (Open): commented code from
	last commit, which wasn't supposed to be in CVS yet.

2002-10-01  Luis Fernandez <luifer@onetel.net.uk>

	* System.Data/DataColumn.cs:
	* System.Data/DataRow.cs:
	* System.Data/DataRowCollection.cs:
	* System.Data/DataTable.cs: some fixes and implementation.

2002-09-28  Vladimir Vukicevic <vladimir@pobox.com>

	* System.Data.OleDb/OleDbConnection.cs: Close
	reader properly in call to ExecuteScalar().

2002-09-07  Rodrigo Moya <rodrigo@ximian.com>

	* System.Data.OleDb/OleDbConnection.cs (Open): changed to use OleDb
	connection strings, which are then converted to GDA connection
	strings, instead of using directly GDA data source names.

	* System.Data.OleDb/libgda.cs: added more needed functions.
	
2002-09-06  Franklin Wise <gracenote@earthlink.net>
	
	* System.Data/DataColumn.cs: More flushing out.

	* System.Data/ForeignKeyConstraint.cs: Implemented GetHashCode()

	* System.Data/UniqueKeyConstraint.cs: Implemented GetHashCode()
	
	* Tests:  See Changelog for System.Data/Test
	
2002-09-04  Franklin Wise <gracenote@earthlink.net>
	
	* Tests:  See Changelog for System.Data/Test
	
	* New Files:
		System.Data/DataColumnCollectionTest.cs
		System.Data/DataRowCollectionTest.cs
		System.Data/DataRowTest.cs

	* System.Data/DataColumn.cs:  Flushing out validation, type conversion for
	autoincrement.  Added lots of TODO's.
	* System.Data/DataColumnCollection.cs:  Wrote out add logic as a comment.
	Tagged implementation with FIXME tags.  Lot's more validation
	and setup needs to be done, much of which is now tagged as todo's
	or FIXME's

	* System.Data/DataRow.cs: Lot's of fixme's added.
	
	* System.Data/DataRowCollection.cs: TODO's added.

	* System.Data/DataTable.cs:  Implemented PrimaryKey.  

	* System.Data/UniqueConstraint.cs: Implemented related PrimaryKey
	helpers.

2002-08-25  Rodrigo Moya <rodrigo@ximian.com>

	* System.Data.OleDb/OleDbTransaction.cs (OleDbTransaction): manage
	correctly the isolation level.
	(IsolationLevel): likewise.
	(~OleDbTransaction): implemented.

	* System.Data.OleDb/libgda.cs: added more needed stuff.

2002-08-22  Daniel Morgan <danmorg@sc.rr.com>

	* System.Data.SqlClient/SqlParameter.cs: flush
	
	* System.Data.SqlClient/SqlParameterCollection.cs: fixes
	for the Item property, IndexOf, and Contains.
	
	* Test/SqlSharpCli.cs: added input parameters support.
	when a query is executed, if a parameter name matches
	a SQL# internal variable name, it uses that value for the parameter; otherwise,
	the user is prompted for the parameter value.  Currently, it only supports 
	string parameters.

2002-08-21  Rodrigo Moya <rodrigo@ximian.com>

	* System.Data.OleDb/libgda.cs: adapted to changes in libgda (get_vtype
	and get_type for GdaValue).

	* System.Data.OleDb/OleDbDataReader.cs: adapted to changes in
	libgda.cs.

2002-08-20  Rodrigo Moya <rodrigo@ximian.com>

	* System.Data.OleDb/OleDbConnection.cs (DataReader): new internal
	property.
	(Close): set the dataReader to null.

	* System.Data.OleDb/OleDbDataReader.cs (OleDbDataReader): set the
	connection's DataReader property to this object.
	(Close): set it to null here.
	(Depth, IsDbNull): implemented.
	(this): implemented the Item property with a string indexer.

	* System.Data.OleDb/OleDbCommand.cs (ExecuteNonQuery, ExecuteReader,
	ExecuteScalar): do nothing if there's already an open data reader.

	* System.Data.OleDb/libgda.cs: more API functions.

	* System.Data.OleDb/TestOleDb.cs (TestDataReader): close the data
	reader before continuing.

2002-08-20  Franklin Wise <gracenote@earthlink.net>
	
	* System.Data/System.Data.build: added nowarn:0679

	* System.Data/System.DataTable: cleaned up class, added MonoTODO tags
	setup to begin implementing.  Implemented ctor().

	* Tests: See System.Data\Test\ChangeLog
	

2002-08-19  Rodrigo Moya <rodrigo@ximian.com>

	* System.Data.OleDb/OleDbSchemaGuid.cs: initialize static members.
	
2002-08-19  Franklin Wise <gracenote@earthlink.net>
	
	* Tests: See System.Data\Test\ChangeLog
	
	* System.Data/UniqueConstraint.cs: More validation.
	
	* System.Data/ForeignKeyConstraint.cs: Added more validation rules.
	Another LAMESPEC tag.  Implemented more of Add/Remove Setup/Cleanup
	logic.
	
	* System.Data/DataTable.cs: Added more MonoTODO tags
	
	* class/System.Data/.cvsignore: added tmp & Temp

	* System.Data/Constraint.cs: Changed abstract helpers to virtual and
	internal.

	* System.Data/ConstraintCollection.cs: Commented out unused line.

2002-08-18  Rodrigo Moya <rodrigo@ximian.com>

	* System.Data.OleDb/OleDbConnection.cs (ChangeDatabase): implemented.

	* System.Data.OleDb/OleDbException.cs (OleDbException): added internal
	constructor.
	(ErrorCode, Message, Source, Errors): implemented.

	* System.Data.OleDb/OleDbError.cs: implemented the full class.

	* System.Data.OleDb/libgda.cs: added more libgda functions.

	* System.Data.OleDb/TestOleDb.cs (TestOleDb): display properties for
	the opened connection.

2002-08-18  Rodrigo Moya <rodrigo@ximian.com>

	* System.Data.OleDb/OleDbConnection.cs (ServerVersion): implemented.

	* System.Data.OleDb/OleDbDataReader.cs (Close): clear the results
	ArrayList after releasing the items.
	(GetName, GetDateTime, GetDouble, GetSingle, GetInt16, GetInt32,
	 GetOrdinal, GetString): implemented.
	(GetDataTypeName): made it get the type from the data model, not from
	the current value, which could not have been retrieved yet.
	(GetValue): call the Get* method corresponding with the data type of
	the requested column.

	* System.Data.OleDb/libgda.cs: added more libgda functions.
	(GdaTimestamp, GdaDate, GdaTime): new marshalled structures.

	* System.Data.OleDb/TestOleDb.cs (TestDateReader): display column
	titles via OleDbDataReader.GetName ().
	(TestOleDb): create temporary table with a date field.
	(InsertRow): set current date for the date field.

2002-08-18  Rodrigo Moya <rodrigo@ximian.com>

	* System.Data.OleDb/OleDbDataReader.cs (this[]): made it just call
	GetValue, which will take care of all the work needed.
	(Close): implemented basic stuff.
	(~OleDbDataReader): implemented.

	* System.Data.OleDb/libgda.cs: added more needed functions.

2002-08-16  Rodrigo Moya <rodrigo@ximian.com>

	* System.Data.OleDb/TestOleDb.cs: made it work with a temporary table
	we create.
	(TestTransaction): added test for transactions.

2002-08-16  Rodrigo Moya <rodrigo@ximian.com>

	* System.Data.OleDb/libgda.cs: added new needed libgda functions.

	* System.Data.OleDb/OleDbDataReader.cs (GetBoolean): throw exceptions
	when there are errors.
	(GetByte, GetChar, GetDataTypeName, GetValue, Read): implemented.

	* System.Data.OleDb/TestOleDb.cs: added more testing code for data
	readers.

2002-08-15  Rodrigo Moya <rodrigo@ximian.com>

	* System.Data.OleDb/libgda.cs: added new needed libgda functions.

	* System.Data.OleDb/OleDbParameterCollection.cs (GdaParameterList):
	create an empty GdaParameterList.

	* System.Data.OleDb/OleDbCommand.cs (ExecuteReader): check values
	for NULL before passing them to Marshal.PtrToStructure, which issues
	an exception if the value is NULL.

2002-08-15  Rodrigo Moya <rodrigo@ximian.com>

	* System.Data/UniqueConstraint.cs (UniqueConstraint): commented
	unreachable code to avoid compiler warning.

	* System.Data.OleDb/libgda.cs (GdaList): added new internal class.

	* System.Data.OleDb/OleDbConnection.cs (DataSource): implemented.
	(OpenReader): removed internal method.

	* System.Data.OleDb/OleDbCommand.cs (ExecuteReader): split correctly
	the list of returned data models.

2002-08-15  Franklin Wise <gracenote@earthlink.net>
	
	* System.Data/Constraint.cs: Added helper virtual functions

	* System.Data/ConstraintCollection.cs: Improved constraint removal,
	validation.  Removed specific knowledge of subclasses of 
	Constraint.

	* System.Data/DataColumn.cs: Added static helper function to compare
	if two DataColumn arrays are the same.

	* System.Data/ForeignKeyConstraint.cs: Continued to flush out.

	* System.Data/UniqueConstraint.cs: Implemented.  Still some constraint
	validation to do.
	
2002-08-13  Franklin Wise <gracenote@earthlink.net>

	* System.Data/DataRow.cs: Added several fixme tags.
	
2002-08-13  Rodrigo Moya <rodrigo@ximian.com>

	* System.Data.SqlClient/SqlDataAdapter.cs (DeleteCommand,
	InsertCommand, SelectCommand, UpdateCommand): removed 'new' keyword
	to avoid compiler warnings.

2002-08-12  Franklin Wise <gracenote@earthlink.net>

	* System.Data/Constraint.cs: Implemented

	* System.Data/UniqueConstraint.cs: GetHashCode() &
	special case Ctor. Still need to be implemented. LAMESPEC tags
	added.

	* System.Data/ConstraintCollection.cs: Clear() &
	AddRange() need to be finished. Several LAMESPEC tags.

	* Allow Constraint collection to be created in DataTable.

	* System.Data/ForeignKeyConstraint: Added a couple of
	helper functions.

	* System.Data/DataColumnCollection New/Added DataColumns now have
	Table property set.

2002-08-11  Rodrigo Moya <rodrigo@ximian.com>

	* System.Data.OleDb/libgda.cs: added some GdaValue functions.

	* System.Data.OleDb/OleDbCommand.cs (OpenReader): removed this
	internal method, since we don't need it.
	(ExecuteReader): call SetupGdaCommand before executing the command
	via libgda functions.
	(ExecuteScalar): implemented.

	* System.Data.OleDb/OleDbDateReader.cs (OleDbDataReader): removed call
	to OleDbCommand.OpenReader.
	(GetBoolean): implemented.

2002-08-08  Franklin Wise <gracenote@earthlink.net>

	* System.Data/IDbComand.cs: IDbCommand now inherits IDisposable

	* System.Data/IDbConnection.cs: IDbConnection now inherits IDisposable

	* System.Data.SqlTypes/SqlCompareOptions.cs: Enum now set to correct
	values.

2002-08-06  Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* System.Data.OleDb/OleDbConnection.cs: little fixes to make it work
	and don't show a warning in Open.

	* System.Data.OleDb/TestOleDb.cs: added Close.

2002-08-05  Rodrigo Moya <rodrigo@ximian.com>

	* System.Data.OleDb/OleDbConnection.cs (ConnectionString,
	ConnectionTimeout, ServerVersion, GdaConnection):
	corrected style.
	(OleDbConnection): call libgda.gda_init on constructor.

	* System.Data.OleDb/libgda.cs (libgda): removed static constructor,
	which wasn't been called.

	* System.Data.OleDb/TestOleDb.cs (TestOleDb): updated to really
	make some tests.

2002-08-04  Rodrigo Moya <rodrigo@ximian.com>

	* list: added missing System.Data.OleDb and
	System.Data.Common files.

	* System.Data.OleDb/ChangeLog: removed and merged with
	System.Data's ChangeLog.

	* System.Data.OleDb/OleDbDataAdapter.cs:
	* System.Data.OleDb/OleDbPermission.cs: compilation fixes.

2002-07-30  Rodrigo Moya <rodrigo@ximian.com>

        * System.Data.OleDb/OleDbDataReader.cs (FieldCount): implemented.
        (IsClosed, Item, RecordsAffected): implemented some properties.

        * libgda.cs: added GdaDataModel methods.

2002-07-29  Rodrigo Moya <rodrigo@ximian.com>

        * System.Data.OleDb/OleDbDataReader.cs (OleDbDataReader constructor): changed to receive
        a second argument (ArrayList results).
        (NextResult): implemented.

        * System.Data.OleDb/OleDbCommand.cs: don't store the ArrayList of results, since we'll
        pass that to the OleDbDataReader.
        (OleDbCommand constructor): don't create the ArrayList of results.
        (GdaResults): removed property.
        (ExecuteReader): create a temporary ArrayList and pass that to the
        OleDbDataReader constructor.

2002-07-28  Rodrigo Moya <rodrigo@ximian.com>

        * System.Data.OleDb/OleDbCommand.cs (ExecuteReader):
        (CreateParameter): implemented IDbCommand methods.
        (CommandText): don't create many GdaCommand's, only one is needed.
        (ExecuteNonQuery): set up the internal GDA command object.
        (ExecuteReader): use correctly the unique GDA command object.

        * System.Data.OleDb/libgda.cs: added new libgda calls.

2002-07-27  Rodrigo Moya <rodrigo@ximian.com>

        * System.Data.OleDb/OleDbConnection.cs (CreateCommand):
        (BeginTransaction): implemented IDbConnection methods.

2002-07-12  Rodrigo Moya <rodrigo@ximian.com>

	* list: added System.Data.OleDb files to file list.

2002-07-11  Rodrigo Moya <rodrigo@ximian.com>

        * System.Data.OleDb/libgda.cs: added new libgda functions and some enumerations.

        * System.Data.OleDb/OleDbParameter.cs (IsNullable): removed explicit implementation
        of the set method for this property.

        * System.Data.OleDb/OleDbDataAdapter.cs (MissingMappingAction): implemented.
        (MissingSchemaAction): implemented.

2002-07-10  Tim Coleman <tim@timcoleman.com>
	
        * System.Data.OleDb/OleDbCommandBuilder.cs: Added new methods, properties
        * System.Data.OleDb/OleDbConnection.cs: Modified constructor
        * System.Data.OleDb/OleDbError.cs: Added stubbs
        * System.Data.OleDb/OleDbException.cs: Added stubbs
        * System.Data.OleDb/OleDbInfoMessageEventArgs.cs: Added stubbs
        * System.Data.OleDb/OleDbInfoMessageEventHandler.cs: style change
        * System.Data.OleDb/OleDbParameter.cs: Added conversion from type to OleDbType
        * System.Data.OleDb/OleDbPermission.cs: Added stubbs
        * System.Data.OleDb/OleDbSchemaGuid.cs: Added stubbs
        * System.Data.OleDb/OleDbTransaction.cs: New constructors, changes to methods to
        support transaction nesting
        * System.Data.OleDb/libgda.cs: Added my name to this file

2002-07-09  Tim Coleman <tim@timcoleman.com>
	
        * System.Data.OleDb/OleDbCommand.cs: Style changes, added new methods
        * System.Data.OleDb/OleDbConnection.cs: Style changes, added new methods
        * System.Data.OleDb/OleDbDataAdapter.cs: Implementation
        * System.Data.OleDb/OleDbDataReader.cs: Added stubbs
        * System.Data.OleDb/OleDbErrorCollection.cs: Added stubbs, some implementation
        * System.Data.OleDb/OleDbParameter.cs: Style changes, added new methods
        * System.Data.OleDb/OleDbParameterCollection.cs: Style changes, added new methods
        * System.Data.OleDb/OleDbPermissionAttribute.cs: Style changes, added new methods
        * System.Data.OleDb/OleDbRowUpdatedEventArgs.cs: Added stubbs
        * System.Data.OleDb/OleDbRowUpdatingEventArgs.cs: Added stubbs
        * System.Data.OleDb/OleDbTransaction.cs: Style changes, added new methods
        * System.Data.OleDb/OleDbType.cs: Fixed two typos
        * System.Data.OleDb/libgda.cs: Style changes, added new methods

2002-07-09  Tim Coleman <tim@timcoleman.com>
	
	* System.Data.build: remove restriction on System.Data.OleDb build

2002-06-03  Rodrigo Moya <rodrigo@ximian.com>

	* System.Data.OleDb/OleDbParameterCollection.cs (GetEnumerator, SyncRoot,
	IsSynchronized): implemented.

2002-06-02  Rodrigo Moya <rodrigo@ximian.com>

	* System.Data.OleDb/OleDbTransaction.cs (Dispose): added missing method.

	* System.Data.OleDb/OleDbCommand.cs (Clone): added missing methods.
	(Parameters, Transaction, Connection): made these overload
	IDbCommand's ones.

	* System.Data.OleDb/OleDbParameterCollection.cs (IndexOf, Remove, RemoveAt):
	call m_list methods, not own ones.

	* System.Data.OleDb/OleDbParameter.cs: more implementation.
	
2002-06-02  Rodrigo Moya <rodrigo@ximian.com>

	* System.Data.OleDb/OleDbTransaction.cs (Connection, IsolationLevel, Begin,
	Commit, Rollback): implemented.
	(GdaConnection): added new internal property.

	* System.Data.OleDb/OleDbParameter.cs:
	* System.Data.OleDb/OleDbParameterCollection.cs: implemented some methods and
	properties.

	* System.Data.OleDb/libgda.cs: added yet more libgda API functions.

2002-06-01  Rodrigo Moya <rodrigo@ximian.com>

	* System.Data.OleDb/libgda.cs: added new libgda API functions.

	* System.Data.OleDb/OleDbConnection.cs (Provider): implemented.
	(BeginTransaction): made it overload IDbConnection methods.
	(ChangeDatabase): new stub, needs some work on libgda for being
	implemented.
	(Clone): new stub.
	(Close): implemented.
	(CreateCommand): implemented.
	(GetOleDbSchemaTable): new stub, until I understand what to do here.
	(Open): implemented basic stuff, which is just supporting connection
	strings that represent a GDA data source name. More to come.
	(InfoMessage, StateChange): added events.

	* System.Data.OleDb/TestOleDb.cs: test program for System.Data.OleDb.

2002-05-29  Rodrigo Moya <rodrigo@ximian.com>

	* System.Data.OleDb/libgda.cs: added static constructor.
	(GdaClient): new static property to get the underlying GdaClient
	object.

	* System.Data.OleDb/OleDbConnection.cs: removed GDA initialization, which belongs to
	the static 'libgda' class.

2002-05-29  Rodrigo Moya <rodrigo@ximian.com>

	* System.Data.OleDb/libgda.cs: static class for libgda API calls.

	* System.Data.OleDb/OleDbConnection.cs: implemented constructors.
	(ConnectionString, Connectiontimeout, Database, State):
	implemented class properties.
	(BeginTransaction): implemented.

	* System.Data.OleDb/OleDbTransaction.cs: implemented protected constructors.

	* System.Data.OleDb/TestGDA.cs: simple test for libgda API.

2002-05-27  Rodrigo Moya <rodrigo@ximian.com>

	* System.Data.OleDb/*: started System.Data.OleDb provider, based on libgda.

2002-06-06  Rodrigo Moya <rodrigo@ximian.com>

	* list: added missing PostgresTypes.cs file.

2002-06-02  Francisco Jr. <fxjrlists@yahoo.com.br>

	* System.Data.SqlClient/SqlParameterCollection.cs: implemented missing
	methods.

2002-05-30  Daniel Morgan <danmorg@sc.rr.com>

	* System.Data.SqlClient/SqlConnection.cs: modifed -
	start to implement the interfaces properly and
	properly doing a Close(), Dispose(), and 
	releasing resources
	
	* Test/SqlSharpCli.cs: modified -
	add support for MySQL in Mono.Data.MySql
	and OleDb support in System.Data.OleDb.  However,
	the OleDb support is commented right now.
	When the program starts up, a shorter help menu should
	display the most important commands: help and quit

2002-05-28  Rodrigo Moya <rodrigo@ximian.com>

	* System.Data.build: exclude System.Data.OleDb files.

2002-05-27  Daniel Morgan <danmorg@sc.rr.com>

	* System.Data.SqlClient/SqlCommand.cs: typo
	should be CommandBehavior.KeyInfo
	
	* Test/SqlSharpCli.cs: refactored and added a few more
	features.

2002-05-27  Tim Coleman <tim@timcoleman.com>
	* list: update to compile properly (add missing
	files and switch path delimiter from '\' to '/').

2002-05-26  Daniel Morgan <danmorg@sc.rr.com>

	* System.Data/DataRow.cs
	* System.Data.Common/DbDataAdapter.cs: fix to
	get Test/TestSqlDataAdapter.cs to work again
	
	* Test/TestSqlDataAdapter.cs: removed comment
	about SqlDataReader:NextResult() not being implemented; it
	bas been implemented

2002-05-26  Daniel Morgan <danmorg@sc.rr.com>

	* System.Data/DataRow.cs: modified
	support setting of DBNull.Value
	using the Item indexer this[DataColumn]
	
	* System.Data.SqlClient/SqlCommand.cs: modified
	tweaks to show TODO's for other CommandBehavior.
	Set AllowDBNull column to true for IsKey row 
	in schema DataTable.
	
	* System.Data.SqlClient/SqlConnection.cs: modified
	if transaction is in progress when a Close() is called,
	do a transaction Rollback.

2002-05-26  Daniel Morgan <danmorg@sc.rr.com>

	* Test/SqlSharpCli.cs: added file
	My new toy.  SQL# is a command-line tool to enter
	SQL	commands and queries using Mono System.Data.
	It also serves as a test for Mono System.Data.
	
	* System.Data.SqlClient/SqlCommand.cs: modified
	- ExecuteNonQuery(), ExecuteScalar(), and ExecuteReader()
	should handle the results from SQL Commands and Queries.
	- Internal class SqlResult should not create schema Table
	for the result from a SQL Command.  Also, set the RecordsRetrieved
	property for SqlDataReader.
	- Closing the SqlDataReader should Close() the SqlConnection for
	a CommandBehavior.CloseConnection.
	- Set defaults for SqlResult
	
	* System.Data.SqlClient/SqlConnection.cs: modified - 
	when SqlDataReader is Close()
	should Close() the SqlConnection for
	a CommandBehavior.CloseConnection.  Changed internal Property
	from OpenReader get/set to IsReaderOpen get and created
	internal methods OpenReader()/CloseReader() for SqlCommand to call.
	SqlConnection needs to be prevented from doing while SqlDataReader
	is being used.
	
	* System.Data.SqlClient/SqlDataReader.cs: modified -
	call SqlCommand's OpenReader() internal method.  get
	RecordsRetrieved from SqlResult.  set/reset default
	values for SqlDataReader.
	
	* Test/PostgresTest.cs
	* Test/TestExecuteScalar.cs
	* Test/TestSqlDataReader.cs: modified
	for the Execute...() methods in SqlCommand
	to test SQL Queries and Commands
	
	* Test/System.Data_test.build: modified
	exclude new file Test/SqlSharpCli.cs from 
	test build
	
2002-05-24  Tim Coleman <tim@timcoleman.com>
	* System.Data.Common/DbDataAdapter.cs: remove IDbCommands, except
	for get accessors.  These should be implemented in derived classes.  See
	SqlDataAdapter for clues.
	* System.Data.SqlClient/SqlDataAdapter.cs: implement IDbDataAdapter
	* System.Data.Common/DataAdapter.cs:
	* System.Data.Common/DataTableMappingCollection.cs:
	* System.Data.Common/DataTableMapping.cs:
	* System.Data.Common/DataColumnMappingCollection.cs:
	* System.Data.Common/DataColumnMapping.cs:
	Properly (I hope!) implement all of the appropriate interfaces
	for these classes.  


2002-05-23  Tim Coleman <tim@timcoleman.com>
	* System.Data.SqlClient/SqlCommand.cs: include
	the BaseColumnName in the schema table.  Was missed before.
	* System.Data.Common/DbDataAdapter.cs: Use DataTable
	mappings so that the DataSet and DataTable are more closely tied.
	Get schema information from the DataTable using GetSchemaTable ()
	Various other little fixes
	* System.Data.Common/DataColumnMappingCollection.cs:
	* System.Data.Common/DataTableMapping.cs:
	* System.Data.Common/DataTableMappingCollection.cs: Some
	implementation, enough to be used by DbDataAdapter.

2002-05-23  Daniel Morgan <danmorg@sc.rr.com>

	* System.Data.SqlClient/SqlCommand.cs: set
	the "ProviderType" to the PostgreSQL type oid
	
	* System.Data.SqlClient/SqlDataReader.cs: fix
	for various properties and methods that 
	return meta data: Item indexers this[name] and this[index],
	GetFieldType, GetName, and GetOrdinal.  SqlDataAdapter
	should work again.

2002-05-22  Daniel Morgan <danmorg@sc.rr.com>

	* System.Data/DataRow.cs: change suggested
	by tim: in Item indexer, do an EndEdit()
	
	* System.Data.SqlClient/SqlCommand.cs: more
	fixes to SqlResult.  After setting each item in
	the DataRow, do an AcceptChanges() to commit
	the changes in the DataRow.  For DataType, use a Type
	of System.String since System.Type nor System.Object
	seems to work.
	
	* Test/TestSqlDataReader.cs
	* Test/PostgresTest.cs: updated to to be on
	the way schema table is suppose to work

2002-05-22  Daniel Morgan <danmorg@sc.rr.com>

	* System.Data.SqlClient/SqlCommand.cs: more work on 
	building the schema table

2002-05-22  Tim Coleman <tim@timcoleman.com>
	* System.Data.SqlClient/SqlCommand.cs: preliminary work
	on getting the schema table correctly built.

2002-05-21  Daniel Morgan <danmorg@sc.rr.com>

	* System.Data.SqlClient/ParmUtil.cs: added file - to
	provide utility for conversion of input parameters
	
	* System.Data.SqlClient/PostgresTypes.cs: added file - 
	moved the PostgreHelper class to here.  May eventually
	move the internal class PostgresTypes that's inside the 
	SqlConnection to here as well.  
	Handling of PostgreSQL <-> .NET types need to be though
	out more. Also, the PostgreHelper has a method to convert
	from .NET types to a string which can be put into used in
	an SQL statement to execute against a PostgreSQL database.
	This is the beginnings of parameters support.  It currently
	only supports input parameters.  Still need to do output,
	input/output, and return parameters.
	
	* Test/TestSqlParameters.cs: new test to test the input
	parameters in System.Data.SqlClient against a 
	PostgreSQL db.
	
	* System.Data.SqlClient/PostgresLibrary.cs: moved 
	PostgresHelper class to file PostgresTypes.cs.  Also 
	moved struct PostgresType there too.
	
	* System.Data.SqlClient/SqlCommand.cs: added input 
	parameters support
	
	* System.Data.SqlClient/SqlParameter.cs: got 
	SqlParameter to work
	
	* System.Data.SqlClient/SqlParameterCollection.cs: got 
	SqlParameterCollection to work
	
	* Test/System.Data_test.build: added files to exclude 
	from test build
	
	* System.Data.SqlClient/SqlConnection.cs: release resources
	no longer used

2002-05-18  Daniel Morgan <danmorg@sc.rr.com>

	* System.Xml: added directory for classes with namespace
	System.Xml to go into the System.Data.dll assembly
	
	* System.Xml/XmlDataDocument: added file
	for stubbed concrete class XmlDataDocument which 
	inherits from XmlDocument.  Its purpose is to provide
	a W3C XML DOM Document for relational data and interacting
	with a DataSet

2002-05-18  Daniel Morgan <danmorg@sc.rr.com>

	* System.Data.SqlClient/SqlCommand.cs: handle CommandTypes
	Text, TableDirect, and StoredProcedure
	
	* Test/PostgresTest.cs: changed call to version() 
	stored procedure to use the CommandType of StoredProcedure
	
	* Test/TestSqlDataReader.cs: test all the CommandTypes

2002-05-18  Daniel Morgan <danmorg@sc.rr.com>

	* System.Data.build: took out all excluded
	files except the ones in the Test directory
	because all files compile now.  It does not
	mean they all work or have implementations
	though.
	
	* System.Data/DataRelationCollection.cs
	* System.Data/DataTableRelationCollection.cs
	* System.Data/InternalDataCollectionBase.cs
	* System.Data.Common/DbDataPermission.cs
	* System.Data.SqlClient/SqlInfoMessageEventArgs.cs
	* System.Data.SqlClient/SqlClientPermission.cs
	* System.Data.SqlClient/SqlClientPermissionAttribute.cs: changes
	to get all System.Data* files to compile.
	
	* System.Data.SqlClient/SqlCommand.cs: started coding
	to prevent SqlConnection and SqlCommand from doing
	anyting while fetching data using SqlDataReader.  Also,
	started coding to undo this prevention once the 
	SqlDataReader is closed.
	
	* System.Data.SqlClient/SqlConnection.cs: get database server
	version.  Started coding to prevent connection from 
	doing anything while fetching data and undo once the reader 
	is closed.  Include events SqlInfoMessage and StateChange.
	
	* System.Data.SqlClient/SqlDataReader.cs: start coding to
	prevent connection and command from doing anything while
	fetching data, and undo when closed.
	
	* Test/PostgresTest.cs: added test to get ServerVersion
	property from SqlConnection

2002-05-18  Tim Coleman <tim@timcoleman.com>
	* System.Data/DataRow.cs: More implementation,
	as well as boundary checks and small semantic
	repairs

2002-05-18  Tim Coleman <tim@timcoleman.com>
	* System.Data/DataRow.cs: Try to reduce memory
	usage by only creating the original and proposed
	arrays as required in BeginEdit, and then destroying
	proposed during EndEdit, and original during AcceptChanges.
	* System.Data.Common/DbDataAdapter.cs: Make the
	startRecord and maxRecords parameters work correctly.

2002-05-18  Tim Coleman <tim@timcoleman.com>
	* System.Data/DataRow.cs: Move the null check in
	ItemArray set to above the Invalid Cast check, so
	that we don't get null reference exceptions.

2002-05-17  Daniel Morgan <danmorg@sc.rr.com>

	* System.Data.SqlClient/PostgresLibrary.cs: handle
	data value from database being NULL
	
	* System.Data.SqlClient/SqlCommand.cs: for ExecuteReader, 
	allow multiple result sets.  Added new internal class
	SqlResult to pass result set data from SqlCommand
	to SqlDataReader.
	
	* System.Data.SqlClient/SqlDataReader.cs: allow
	multiple result sets.
	
	* System.Data.SqlClient/SqlConnection.cs: moved 
	things around.  Implement IDisposable.
	
	* Test/TestSqlDataReader.cs: test for execution
	of multiple result sets and display the results
	of these multiple results sets
	
	* Test/TestSqlDataAdapter.cs: tweaks

2002-05-17  Tim Coleman <tim@timcoleman.com>
	* System.Data.Common/DbDataAdapter.cs:
		- More implementation of Fill methods
		- Get rid of isDirty flag, because we can just check
			if the table exists
		- Do *not* remove DataTables before Filling them
		- Implicitly open the connection before doing a Fill
			if it does not exist.
	* System.Data.SqlClient/SqlDataAdapter.cs:
		- Minor fixup
	* System.Data/DataTableCollection.cs:
		- Add DataSet to internal, undocumented constructor
		- When a table is created, set its DataSet property
		- Default table name for creation is "Table1" (see .NET)
		- Inherit the ArrayList list from InternalDataCollecitonBase
			and maintain a hashtable between table names and
			DataTables
	* System.Data/DataTable.cs:
		- Add internal dataSet field.  This is used by 
			DataTableCollection when the DataTable is constructed.
	* System.Data/DataSet.cs:
		- Pass a reference to the DataSet when constructing the
			DataTableCollection.

2002-05-16  Tim Coleman <tim@timcoleman.com>
        * System.Data.Common/DbDataAdapter.cs:
                Use table.Rows.Add (itemArray) instead of
                table.Rows.Add (thisRow) to provide better
                abstraction.
        * System.Data/DataRowCollection.cs:
                Some implementation of this class.
        * System.Data/InternalDataCollectionBase.cs:
                Some implementation.  Most notably, this now
                has an enumerator so we can use foreach (DataRow row in table.Rows)
                in the test classes.
        * System.Data/DataTable.cs:
                Since DataRowCollection now accepts a DataTable in
                its internal constructor, we must pass one in.

2002-05-16  Daniel Morgan <danmorg@sc.rr.com>

	* Test/TestSqlDataAdapter.cs: added new test 
	for SqlDataAdapter, DataSet, DataTableCollection, DataTable, 
	DataRowCollection, and DataRow.  It tests retrieving data
	based on a SQL SELECT query.  This test is based on Tim Coleman's
	test he sent to me.

2002-05-16  Tim Coleman <tim@timcoleman.com>
	* System.Data.Common/DbDataAdapter.cs:
		Use table.Rows.Add (thisRow) instead of 
		table.ImportRow (thisRow)
	* System.Data/DataRowCollection.cs:
		Construct the ArrayList before using it

2002-05-16  Tim Coleman <tim@timcoleman.com>
	* System.Data/DataTable.cs:
		Construct the DataRowCollection in the DataTable
		constructor.  Otherwise, it's a null reference.

2002-05-16  Tim Coleman <tim@timcoleman.com>
	* System.Data.SqlClient/SqlDataReader.cs:
		Modify GetValues to use Array.Copy() to copy
		the results from fields to values, rather than
		an assignment, which results in loss of data.

2002-05-16  Tim Coleman <tim@timcoleman.com>
	* System.Data/DataRow.cs:
		More implementation and documentation.  It should
		work more like expected, although there is no way
		to demonstrate this well yet.  DataTable requires
		more work.

2002-05-15  Tim Coleman <tim@timcoleman.com>
        * System.Data/DataRow.cs:
	                Minor tweaks as I determine exactly how to
			                implement this class.


2002-05-14  Duncan Mak  <duncan@ximian.com>

	* System.Data/DataTable.cs (NewRow): Added missing paren to fix build.

2002-05-14  Tim Coleman
	* System.Data/DataRow.cs:
	* System.Data/DataRowBuilder.cs:
	* System.Data/DataTable.cs:
		More implementation of these classes.  DataRow
		can now (possibly) do some useful things.
		Still not sure what DataRowBuilder is all about,
		other than passing a DataTable in.

2002-05-14  Tim Coleman
	* System.Data/DataRowBuilder.cs:
		Add stubb for this internal class.

2002-05-13  Tim Coleman
	* System.Data.Common/DbDataAdapter.cs:
		The maxRecords check was not correct.

2002-05-13  Tim Coleman
	* System.Data/DataTableCollection.cs:
		Fix an issue when adding a DataTable and size == 0.
		Now explicitly checks if size > 0 before doing Array.Copy ()
	* System.Data.Common/DbDataAdapter.cs:
		Move closer to a working implementation.
		Make the IDbCommand fields protected so that they can
		be inherited.
	* System.Data.SqlClient/SqlDataAdapter.cs:
		This should inherit the IDbCommands instead of having its
		own.  An explicit cast is used to force conversion between
		IDbCommand and SqlCommand

2002-05-13  Tim Coleman
	* System.Data.Common/DataTableMappingCollection.cs:
		Some implementation to allow progress with DbDataAdapter

2002-05-13  Tim Coleman
	* System.Data.Common/DbDataAdapter.cs:
		Modify to not break compile.

2002-05-13  Tim Coleman
	* System.Data.build:
		include SqlDataAdapter, SqlRowUpdatedEventArgs,
		SqlRowUpdatingEventArgs, SqlRowUpdatedEventHandler,
		SqlRowUpdatingEventHandler in the build.

2002-05-13  Tim Coleman
	* System.Data.Common/DbDataAdapter.cs:
		More implementation.
	* System.Data.Common/DataAdapter.cs:
		Correction of some of the stubbing, as well as a
		little bit more implementation

2002-05-11  Tim Coleman
	* System.Data.SqlClient/SqlDataAdapter.cs:
	* System.Data.Common/DbDataAdapter.cs:
		Moved methods that weren't supposed to 
		be in SqlDataAdapter out.  They should be implemented
		in DbDataAdapter.
	

2002-05-11  Tim Coleman
        * System.Data.SqlClient/SqlDataAdapter.cs:
                some implementation of this class.  Note
                that none of the functionality has been
                tested yet, but I felt it should be checked
                in at this point as it compiles.
        * System.Data.SqlClient/SqlRowUpdatingEventArgs.cs:
        * System.Data.SqlClient/SqlRowUpdatedEventArgs.cs:
                Modified so that they will compile properly.
                Needed to include SqlDataAdapter in the build.

2002-05-11  Rodrigo Moya <rodrigo@ximian.com>

	* System.Data/DataTable.cs (Clear): implemented.
	(DataTable): removed repeated code in constructors, and call the
	basic constructor from the others.

	* System.Data/DataColumn.cs: some tweaks.

	* System.Data/DataRow.cs (RowState): implemented.
	(CancelEdit): set rowState property back to Unchanged.
	(RejectChanges): call CancelEdit.
	(Delete): set rowState to Deleted.

2002-05-11  Daniel Morgan <danmorg@sc.rr.com>

	* System.Data.build: added copy of System.Data.dll to Test directory
	for easy testing.  Also, added clean for it too.
	
	* System.Data.SqlClient/PostgresLibrary.cs: changed setting of boolean
	from PostgreSQL data type to .NET type.
	
	* System.Data.SqlClient/SqlDataReader.cs: beginnings
	handling of a NULL value from the database
	
	* Test/PostgresTest.cs: added tests for NULL values retrieved
	from the database
	
	* Test/ReadPostgresData.cs
	* Test/TestExecuteScalar.cs
	* Test/TestSqlDataReader.cs
	* Test/TestSqlException.cs
	* Test/TestSqlIsolationLevel.cs: updated tests to use databas user
	"postgres".  These tests may eventually be removed since they
	are not flexible.

2002-05-10  Rodrigo Moya <rodrigo@ximian.com>

	* System.Data.build: removed reference to non-existant
	TestDataColumn.cs file.

	* System.Data/DataSet.cs: added some implementation.

2002-05-09  Daniel Morgan <danmorg@sc.rr.com>

	* System.Data.SqlClient/PostgresLibrary.cs: got
	PostgreSQL data types time, date, timestamp (DateTime like)
	mapped to .NET System.DateTime working based 
	on ISO DateTime formatting "YYYY-MM-DD hh:mi:ss.ms"
	Also mapped pg type boolean to .net Boolean
	
	* SqlClient/SqlConnection.cs: run SQL command to set
	Date style to ISO
	
	* Test/PostgresTest.cs: added test for an UPDATE SQL command,
	added tests for aggregates min(), max(), sum(), count().  could
	not get avg() to work due to some formatting error; someone claimed
	that it was my locale settings.  added tests for SELECT of columns
	of type boolean, float, double, date, time, and timestamp.  They
	have not been fully tested, but its a start.

2002-05-09  Tim Coleman <tim@timcoleman.com>
	* System.Data.SqlTypes/SqlDecimal.cs: Implementations of 
	addition, subtraction, and multiplication for the
	SqlDecimal type, as well as modification of some other
	operations.  More to come on this one.

2002-05-08  Rodrigo Moya <rodrigo@ximian.com>

	* Test/System.Data_test.build: excluded TestDataColumn, which
	should be replaced with a nunit test.

	* Test/TestDataColumn.cs: added basic test for DataColumn.cs.

2002-05-07  Tim Coleman <tim@timcoleman.com>
	* SqlBinary.cs:
	* SqlBoolean.cs:
	* SqlByte.cs:
	* SqlDateTime.cs:
	* SqlDecimal.cs:
	* SqlDouble.cs:
	* SqlGuid.cs:
	* SqlInt16.cs:
	* SqlInt32.cs:
	* SqlInt64.cs:
	* SqlMoney.cs:
	* SqlSingle.cs:
	* SqlString.cs:
		Fix the broken build I made before.  Bad
		me.

2002-05-07  Tim Coleman <tim@timcoleman.com>
	* SqlString.cs:
		Fix a symantic error I made in SqlString
		Equals where I copied and pasted wrongly

2002-05-07  Tim Coleman <tim@timcoleman.com>
	* INullable.cs:
	* SqlBinary.cs:
	* SqlBoolean.cs:
	* SqlByte.cs:
	* SqlCompareOptions.cs:
	* SqlDateTime.cs:
	* SqlDecimal.cs:
	* SqlDouble.cs:
	* SqlGuid.cs:
	* SqlInt16.cs:
	* SqlInt32.cs:
	* SqlInt64.cs:
	* SqlMoney.cs:
	* SqlSingle.cs:
	* SqlString.cs:
		Implement CompareTo, Equals, and String conversions 
		for many types

2002-05-05  Daniel Morgan <danmorg@sc.rr.com>

	* Test/PostgresTest.cs: modified to run completely.  There
	are many TODOs in System.Data, so not all data types are
	included in the SELECT SQL query.  Also, I made it to where
	it would connect 
	using "host=localhost;dbname=test;user=postgres"
	instead of my userid and password.  When more types are included,
	update this test.

2002-05-05  Daniel Morgan <danmorg@sc.rr.com>

	* Test/PostgresTest.cs: added - ported
	libgda postgres-test.c originally by 
	Gonzalo Paniagua Javier <gonzalo@gnome-db.org>
	to C#.

2002-05-05  Tim Coleman <tim@timcoleman.com>
	* System.Data.SqlTypes/SqlBinary.cs:
	* System.Data.SqlTypes/SqlBoolean.cs:
	* System.Data.SqlTypes/SqlByte.cs:
	* System.Data.SqlTypes/SqlDateTime.cs:
	* System.Data.SqlTypes/SqlDecimal.cs:
	* System.Data.SqlTypes/SqlDouble.cs:
	* System.Data.SqlTypes/SqlGuid.cs:
	* System.Data.SqlTypes/SqlInt16.cs:
	* System.Data.SqlTypes/SqlInt32.cs:
	* System.Data.SqlTypes/SqlInt64.cs:
	* System.Data.SqlTypes/SqlMoney.cs:
	* System.Data.SqlTypes/SqlSingle.cs:
	* System.Data.SqlTypes/SqlString.cs:
		More implementation, and code clean-up for consistency.
		Also, I had implemented many conversions as explicit
		that should have been implicit.  This should remove
		many of the red X's and green pluses from the 
		System.Data.SqlTypes namespace.

2002-05-05  Miguel de Icaza  <miguel@ximian.com>

	* System.Data/DataSet.cs: Remove [Serializable] attributes from
	methods, those only apply to structs or classes.

	Stub out ISerializable, ISupportInitialize, and IListSource methods 
	
	* System.Data/DataRowView.cs: Stub out interface methods for
	IEditableObject, ICustomTypeDescriptor and IDataErrorInfo

	* System.Data/DataView.cs: Comment out non-implemented
	interfaces. 

	* System.Data/DataViewSettingsCollection.cs: Type cast variables
	to the correct type to make it compile.

	* System.Data/DataViewSettings.cs: remove reference to
	non-existance type ApplyDefaultSort, it is a boolean.
	

2002-05-05  Tim Coleman <tim@timcoleman.com>
        * System.Data.SqlTypes/SqlBinary.cs:
        * System.Data.SqlTypes/SqlBoolean.cs:
        * System.Data.SqlTypes/SqlByte.cs:
        * System.Data.SqlTypes/SqlDecimal.cs:
        * System.Data.SqlTypes/SqlDouble.cs:
        * System.Data.SqlTypes/SqlGuid.cs:
        * System.Data.SqlTypes/SqlInt16.cs:
        * System.Data.SqlTypes/SqlInt32.cs:
        * System.Data.SqlTypes/SqlInt64.cs:
        * System.Data.SqlTypes/SqlMoney.cs:
        * System.Data.SqlTypes/SqlSingle.cs:
        * System.Data.SqlTypes/SqlString.cs:
                Various fixes, including adding the SqlNullValueException
                when trying to retrieve the value of a null SqlType,
                and when casting values, a Null of type A converts to a
                Null of type B.

2002-05-04  Daniel Morgan <danmorg@sc.rr.com>
	
	* System.Data.SqlClient/PostgresLibrary.cs
	* System.Data.SqlClient/SqlCommand.cs
	* System.Data.SqlClient/SqlConnection.cs
	* System.Data.SqlClient/SqlDataReader.cs
	oid should not be hard coded because they
	can change from one version of PostgreSQL
	to the next.  Use the typname's instead.
	The PostgreSQL type data retrieves
	at database connection time.  Any unimplemented
	types just default to string.  These were things
	suggested by Gonzalo.
	
	* Test/ReadPostgresData.cs - stuff
	* Test/TestSqlDataReader.cs - stuff
	
	* System.Data.SqlTypes/SqlInt32.cs - added a using

2002-05-03  Tim Coleman <tim@timcoleman.com>
	* System.Data.build: Fix the build so that test depends on build

2002-05-03  Tim Coleman <tim@timcoleman.com>
	* System.Data.SqlTypes/SqlByte.cs:
	* System.Data.SqlTypes/SqlDateTime.cs:
	* System.Data.SqlTypes/SqlDecimal.cs:
	* System.Data.SqlTypes/SqlDouble.cs:
	* System.Data.SqlTypes/SqlGuid.cs:
	* System.Data.SqlTypes/SqlInt16.cs:
	* System.Data.SqlTypes/SqlInt64.cs:
	* System.Data.SqlTypes/SqlMoney.cs:
	* System.Data.SqlTypes/SqlSingle.cs:
		These files were mysteriously excluded from the last
		patch I made and sent to Rodrigo
	* System.Data.build: include the System.Data.SqlTypes in the build

2002-05-03  Daniel Morgan <danmorg@sc.rr.com>

	* System.Data.build: removed comments

	* System.Data.SqlClient/PostgresLibrary.cs: changed
	the hard-coded PostgreSQL oid type int's to using an
	enum.  Also, added PostgreSQL bpchar (character) type.
	
	* Test/TestSqlDataReader.cs: updated test
	to include new bpchar PostgreSQL type

2002-05-03  Rodrigo Moya <rodrigo@ximian.com>

	* System.Data.SqlTypes/SqlBinary.cs:
	* System.Data.SqlTypes/SqlBoolean.cs:
	* System.Data.SqlTypes/SqlInt32.cs:
	* System.Data.SqlTypes/SqlString.cs: more implementation, by
	Tim Coleman <tcoleman@opentext.com>.

2002-05-03  Daniel Morgan <danmorg@sc.rr.com>

	* Test/TestExecuteScalar.cs: added test for 
	method ExecuteScalar in class SqlCommand.
	
	* System.Data/DataColumnCollection.cs - it should
	inherit properties from base InternalDataCollectionBase
	and use them instead of overriding them, such as, List.
	
	* System.Data/DataColumn.cs
	* System.Data/DataTable.cs: tweaks to retrieve
	meta data from the database
	
	* System.Data.SqlClient/PostgresLibrary.cs -
	added method OidToType to convert PostgreSQL oid type 
	to System.Type.  Renamed method OidTypeToSystem
	to ConvertPgTypeToSystem for converting the data value
	from a PostgreSQL type to a .NET System type.
	
	* System.Data.SqlClient/SqlCommand.cs: implemented
	method ExecuteReader which returns a SqlDataReader
	for a light forward only read only result set. 
	It works on types int4 ==> Int32 and 
	varchar ==> String.  Other types
	will come later.
	
	* System.Data.SqlClient/SqlConnection.cs: added comment
	
	* System.Data.SqlClient/SqlDataReader.cs: implemented
	class.  It works, but still lots to do.
	
	* Test/ReadPostgresData.cs: stuff
	
	* Test/TestSqlDataReader.cs: updated test for SqlDataReader
	to display meta data and the data
	
2002-05-03  Duncan Mak  <duncan@ximian.com>

	* TODO: Took out all the Exceptions. They should be all done now.

	* System.Data/ConstraintException.cs: 
	* System.Data/DBConcurrencyException.cs:
	* System.Data/DataException.cs: 
	* System.Data/DeletedRowInaccessibleException.cs: 
	* System.Data/DuplicateNameException.cs:
	* System.Data/EvaluateException.cs: 
	* System.Data/InRowChangingEventException.cs: 
	* System.Data/InvalidConstraintException.cs: 
	* System.Data/InvalidExpressionException.cs: 
	* System.Data/MissingPrimaryKeyException.cs:
	* System.Data/NoNullAllowedException.cs: 
	* System.Data/ReadOnlyException.cs: 
	* System.Data/RowNotInTableException.cs: 
	* System.Data/StrongTypingException.cs:
	* System.Data/SyntaxErrorException.cs: 
	* System.Data/TypeDataSetGeneratorException.cs: 
	* System.Data/VersionNotFoundException.cs: Added to CVS.

	* System.Data.SqlTypes/SqlNullValueException.cs: 
	* System.Data.SqlTypes/SqlTruncateException.cs: 
	* System.Data.SqlTypes/SqlTypeException.cs: Added to CVS.

2002-05-02  Rodrigo Moya <rodrigo@ximian.com>

	* System.Data/DataViewSettingCollection.cs: implemented.

	* System.Data/DataRowView.cs: new stubs.

	* System.Data.SqlTypes/SqlByte.cs:
	* System.Data.SqlTypes/SqlDateTime.cs:
	* System.Data.SqlTypes/SqlDecimal.cs:
	* System.Data.SqlTypes/SqlDouble.cs:
	* System.Data.SqlTypes/SqlGuid.cs:
	* System.Data.SqlTypes/SqlInt16.cs:
	* System.Data.SqlTypes/SqlInt64.cs:
	* System.Data.SqlTypes/SqlMoney.cs:
	* System.Data.SqlTypes/SqlSingle.cs: new stubs, contributed
	by Tim Coleman <tcoleman@opentext.com>

	* System.Data.build: excluded newly-added files.

2002-05-02  Daniel Morgan <danmorg@sc.rr.com>

	* System.Data.SqlClient/PostgresLibrary.cs: included new 
	internal class that will be a helper class in using
	PostgreSQL.  PostgresLibrary is used for the 
	pinvoke methods to the PostgreSQL Client
	native C library libpq while the class PostgresHelper 
	is used for	wrapper or helper methods.  It currently only
	has one static method OidTypeToSystem in converting
	PostgreSQL types to .NET System.<type>s, such as,
	a PostgreSQL int8 becomes a .NET System.Int64.
	Only a few types have been added, such as, int2,
	int4, int8, varchar, text, bool, and char.  Other types
	will come later.
	
	* System.Data.SqlClient/SqlCommand.cs: implemented
	method ExecuteScalar which allows us to do aggregate
	functions, such as, count, avg, min, max, and sum.  We
	also are able to retrieve the result, convert it to the .NET type
	as an object.  The user of the returned object must explicitly cast.
	
	* Test/ReadPostgresData.cs: updated sample
	to help us learn to retrieve data in System.Data.SqlClient
	classes

2002-05-01  Daniel Morgan <danmorg@sc.rr.com>

	* System.Data.build: added /nowarn: nnnn arguments 
	so you will not get a ton of warnings.  The warnings
	being excluded are: 1595, 0067, 0109, 0169, and	0649

2002-05-01  Daniel Morgan <danmorg@sc.rr.com>

	* System.Data.build: modified to exclude more 
	files from the build

2002-05-01  Rodrigo Moya <rodrigo@ximian.com>

	* System.Data.SqlClient/SqlClientPermission.cs: added missing
	'using's.

	* System.Data/MergeFailedEventArgs.cs: new class, contributed
	by John Dugaw <jdugaw@unizenconsulting.com>.

	* System.Data.build: excluded new files from build.

2002-04-29  Daniel Morgan <danmorg@sc.rr.com>

	* Test/ReadPostgresData.cs: added - Uses the 
	PostgresLibrary to retrieve a recordset.
	This is not meant to be used in Production, but as a
	learning aid in coding 
	class System.Data.SqlClient.SqlDataReader.
	This sample does work.
	
	* Test/TestSqlDataReader.cs: added - used
	to test SqlDataReader (does not work yet)
	Forgot to add to ChangeLog on last commit.

2002-04-28  Rodrigo Moya <rodrigo@ximian.com>

	* System.Data/DataViewSetting.cs: new class.
	
2002-04-28  Rodrigo Moya <rodrigo@ximian.com>

	* System.Data/DataViewManager.cs: new class.
	
	* System.Data.SqlTypes/INullable.cs: properties for interfaces
	don't have implementation.

	* System.Data.SqlTypes/SqlInt32.cs:
	* System.Data.SqlTypes/SqlString.cs:
	* System.Data.SqlTypes/SqlBoolean.cs: removed destructor, since
	these are strctures.

	* System.Data.SqlClient/SqlClientPermissionAttribute.cs: added
	missing 'using's.
	
2002-04-28  Rodrigo Moya <rodrigo@ximian.com>
	
	* System.Data/DataTableRelationCollection.cs: use 'new' keyword
	for correctly hiding parent class' members.
	(AddRange): use 'override' keyword on overriden method.
	(Clear): likewise.
	(Contains): likewise.
	(IndexOf): likewise.
	(OnCollectionChanged): likewise.
	(OnCollectionChanging): likewise.
	(RemoveCore): likewise.

	* System.Data/DataColumnCollection.cs: use 'new' keyword.

	* System.Data/DataSet.cs: added missing 'using's.
	
2002-04-28  Rodrigo Moya <rodrigo@ximian.com>

	* System.Data/DataSet.cs:
	* System.Data/DataTableCollection.cs:
	* System.Data/DataView.cs: compilation fixes on Linux.

2002-04-28  Daniel Morgan <danmorg@sc.rr.com>

	* System.Data/DataRelation.cs
	* System.Data/ForeignKeyConstraint.cs
	* System.Data/UniqueConstraint.cs: added more stubs
	
	* System.Data/DataTableRelationCollection.cs: added back to cvs
	and modified for compile errors.  DataRelationCollection is an
	abstract class and there must be a class that implements for
	DataTable/DataSet.  DataTableRelationCollection was changed
	to an internal class.
	
	* System.Data.build: modified - new files added
	also wanted to include files/classes in the build 
	so we can get a compilable forward read only result set.
	It compiles now using csc/nant with warnings, but this 
	is a start for adding functionality for the result set.  
	Classes associated with/and DataSet are still excluded.
	
	* TODO: modified - updated to do list for System.Data
	
	* System.Data/Constraint.cs
	* System.Data/ConstraintCollection.cs
	* System.Data/DataRelationCollection.cs
	* System.Data/DataRow.cs
	* System.Data/DataRowChangeEventArgs.cs
	* System.Data/DataRowCollection.cs
	* System.Data/DataTable.cs
	* System.Data/DataTableCollection.cs
	* System.Data/InternalDataCollectionBase.cs
	* System.Data/PropertyCollection.cs: modified -
	changes to compile SqlDataReader/DataTable and
	dependencies
	
	* System.Data/IDbCommand.cs
	* System.Data.SqlClient/SqlCommand.cs: modified -
	un-commented overloaded methods ExecuteReader 
	which returns a SqlDataReader

2002-04-28  Rodrigo Moya <rodrigo@ximian.com>

	* System.Data/DataTableCollection.cs: more implementation.
	(Count): added 'override' keyword, as pointer out by Martin.

	* System.Data.Common/DataColumnMappingCollection.cs (Add, AddRange):
	only call Array.Copy when there is really stuff to be copied.
	(CopyTo): don't create the temporary array, it's not needed.

	* System.Data.build: excluded newly added file from build.

2002-04-27  Rodrigo Moya <rodrigo@ximian.com>

	* System.Data/DataTableRelationCollection.cs: removed, it's not
	on MS SDK documentation.

	* System.Data/DataTableCollection.cs: new class.

2002-04-27  Daniel Morgan <danmorg@sc.rr.com>

	* System.Data/DataRowChangeEventArgs.cs
	* System.Data/DataRowCollection.cs
	* System.Data/DataView.cs
	* System.Data/PropertyCollection.cs: added new stubs

	* System.Data.build: modified - added new files to exclude
	from build
	
	* TODO: modified - removed files from TODO list 
	that were stubbed above
	
	* System.Data/DataColumn.cs
	* System.Data/DataRow.cs: modified - various tweaks
	and added internal method SetTable to set the reference
	to a DataTable
	
	* System.Data/DataSet.cs: modified - class was not
	completely stubbed.
	
	* System.Data/DataTable.cs: modified - temporarily commented
	DataSet and DataView references - trying to compile a SqlDataReader,
	DataTable, and dependencies for a forward read-only result set.
	SqlDataAdapter, DataSet, and DataView will come later once we can get
	a forward read only result set working.
	
	* System.Data/IDataRecord.cs: modified - source code lines should
	not be > 80
	
	* System.Data/InternalDataCollectionBase.cs: modified - started 
	implementing this base class for collection of data rows,
	columns, tables, relations, and constraints
	
	* System.Data.SqlClient/SqlException.cs: modified -
	call base(message) so a unhandled exception displays
	the message of a SQL error instead of the 
	default SystemException message
	
	* Test/TestSqlException.cs: modified - 
	handle the rollback properly for a SqlException on a
	failure to connect

2002-04-23  Daniel Morgan <danmorg@sc.rr.com>

	* System.Data.build: modified - added new
	files to exclude from build 
	
	* System.Data/Constraint.cs
	* System.Data/ConstraintCollection.cs
	* System.Data/InternalDataCollectionBase.cs: added -
	stubs which are needed to build DataTable.cs
	
	* TODO: modified - added more classes TODO and
	added more stuff TODO, such as, create script
	to create test database monotestdb for testing
	classes in System.Data

2002-04-23  Rodrigo Moya <rodrigo@ximian.com>

	* System.Data.Common/DataAdapter.cs:
	* System.Data.Common/DataColumnMappingCollection.cs:
	* System.Data.Common/DataTableMappingCollection.cs:
	* System.Data.Common/DbDataPermission.cs:
	* System.Data.Common/DbDataPermissionAttribute.cs: some
	compilation errors fixed.

2002-04-23  Daniel Morgan <danmorg@sc.rr.com>

	* TODO: modified - added classes TODO, and
	a poor attempt at System.Data plan

2002-04-23  Daniel Morgan <danmorg@sc.rr.com>

	* ChangeLog: modified - put tabs where they belong
	
	* System.Data.SqlClient/SqlDataReader.cs
	* System.Data/DataColumn.cs: modified - compile errors
	trying to compile SqlDataAdapter and dependencies

2002-04-23  Daniel Morgan <danmorg@sc.rr.com>

	* System.Data.SqlTypes/SqlBoolean.cs
	* System.Data.SqlTypes/SqlCompareOptions.cs
	* System.Data.SqlTypes/SqlInt32.cs
	* System.Data.SqlTypes/SqlString.cs: added - new stubs

	* System.Data/DataTable.cs
	* System.Data.SqlClient/SqlCommand.cs
	* System.Data.SqlClient/SqlConnection.cs
	* System.Data.SqlClient/SqlError.cs
	* System.Data.SqlClient/SqlTransaction.cs: modified - 
	misc. tweaks

	* System.Data.SqlClient/SqlException.cs: modified -
	missing Message on indexer for Message property

2002-04-21  Daniel Morgan <danmorg@sc.rr.com>

	* System.Data.SqlClient/SqlCommand.cs: modified - to 
	compile using mcs.  This problem is
	returning a stronger type in csc vs. msc

	* System.Data.SqlClient/SqlConnection.cs: modified - msc
	can not do a using PGconn = IntPtr; and then declare
	with PGconn pgConn = IntPtr.Zero;
	Thiw works under csc though.  Had to comment using and
	changed declaration to IntPtr pgConn = IntPtr.Zero;
	Also, got rid of compile warnings for hostaddr and port.

	* System.Data.SqlClient/SqlErrorCollection.cs: modified - got
	rid of compile warnings.  Commented MonoTODO attribute because mcs
	doesn't seem to work with C# array property indexer (Item)
	this[int index]

	* System.Data.SqlClient/SqlParameterCollection.cs: modified -
	commented MonoTODO attribute for indexer for mcs compiling

	* Test/TestSqlIsolationLevel.cs:
	* Test/TestSqlInsert.cs:
	* Test/TestSqlException.cs: modified -
	removed extra ExecuteNonQuery which caused two inserted rows

2002-04-20  Daniel Morgan <danmorg@sc.rr.com>

	* System.Data/StateChangeEventArgs.cs - added
	needed to compile System.Data.dll with mcs.  

2002-04-20  Daniel Morgan <danmorg@sc.rr.com>

	* System.Data.OleDb: added directory - for OleDb database 
	provider classes

	* System.Data.SqlClient/SqlClientPermission.cs
	* System.Data.SqlClient/SqlClientPermissionAttribute.cs
	* System.Data.SqlClient/SqlCommandBuilder.cs
	* System.Data.SqlClient/SqlInfoMessageEventHandler.cs
	* System.Data.SqlClient/SqlRowUpdatedEventArgs.cs
	* System.Data.SqlClient/SqlRowUpdatedEventHandler.cs
	* System.Data.SqlClient/SqlRowUpdatingEventArgs.cs
	* System.Data.SqlClient/SqlRowUpdatingEventHandler.cs
	* Test/TestSqlException.cs
	* Test/TestSqlIsolationLevel.cs: added - more tests

	* System.Data.build: modified - added new files - excludes these too

	* System.Data.SqlClient/PostgresLibrary.cs - modified - comment

	* System.Data.SqlClient/SqlConnection.cs 
	* System.Data.SqlClient/SqlCommand.cs
	* System.Data.SqlClient/SqlTransaction.cs
	* System.Data.SqlClient/SqlException.cs
	* System.Data.SqlClient/SqlErrorCollection.cs
	* System.Data.SqlClient/SqlError.cs: modified - transaction and
	exception/error handling. SqlConnection(connectionString) 
	constructor should not automatically connect.
  
	* System.Data.SqlClient/SqlDataReader.cs
	* System.Data.SqlClient/SqlDataAdapter.cs
	* System.Data.SqlClient/SqlParameter.cs
	* System.Data.SqlClient/SqlParameterCollection.cs: modified - 
	added using System.ComponentModel;
  
	* Test/TestSqlInsert.cs: modified - to use transaction

2002-04-17  Rodrigo Moya <rodrigo@ximian.com>

	* System.Data/DataRow.cs: new skeletons.

	* System.Data.Common/DataAdapter.cs:
	* System.Data.Common/DataColumnMapping.cs:
	* System.Data.Common/DataColumnMappingCollection.cs:
	* System.Data.Common/DataTableMapping.cs:
	* System.Data.Common/DataTableMappingCollection.cs:
	* System.Data.Common/DbDataAdapter.cs:
	* System.Data.Common/RowUpdatedEventArgs.cs:
	* System.Data.SqlClient/SqlDataAdapter.cs:
	* System.Data.SqlClient/SqlInfoMessageEventArgs.cs: compilation
	fixes for Linux.

	* System.Data.Common/DbDataRecord.cs:
	* System.Data.Common/DbEnumerator.cs: removed MS implementation
	internal classes.

2002-04-17  Daniel Morgan <danmorg@sc.rr.com>

	* Test/TestSqlInsert.cs: modified - do
	  a SQL DELETE before SQL INSERT of row so you can use this
	  test over and over.
	
	* System.Data.SqlClient/SqlTransaction.cs: modified - default
	  IsolationLevel for PostgreSQL is ReadCommitted.  However,
	  PostgreSQL allows Serializable as well. 
      (Thanks to Gonzalo for that!)
	
	* System.Data.SqlClient/SqlConnection.cs: modified
	* System.Data.SqlClient/SqlCommand.cs: modified
	* System.Data.SqlClient/SqlTransaction.cs: modified - got transactions
	  working; however, we still need to implement SQL errors
	  and exceptions to properly handle transactions.  Also, added
	  status and error message support from the PostgreSQL database.
	  Currently, this does a Console.WriteLine() to display the
	  status and error messages, but this is a TODO 
	  for SQL errors and exceptions.
	
	* System.Data/TODOAttribute.cs: added - needed MonoTODO
      attribute for System.Data.dll assembly 

	* System.Data/IDbCommand.cs: modified - commented
	  overloaded method ExecuteReader 
	  so System.Data.SqlClient.SqlCommand can compile
	  
	* System.Data/IDbCommand.cs: modified
	* System.Data/IDbConnection.cs: modified - added using System;
	* System.Data/IDataParameter.cs
	
	* System.Data.build: modified - build classes
	  in System.Data.SqlClient and exclude others in System.Data
	
	* System.Data.SqlClient/PostgresLibrary.cs: modified - change
	  parameter data type from IntPtr to enum ExecStatusType
	
	* ChangeLog: modified - corrected previous entries in log

2002-04-16  Rodrigo Moya <rodrigo@ximian.com>

	* System.Data.Common/DataColumnMappingCollection.cs: added basic
	implementation. Still missing some stuff.

2002-04-16  Daniel Morgan <danmorg@sc.rr.com>

	* System.Data.SqlClient/SqlConnection.cs: modified - got 
      to compile, run, and connect to PostgreSQL database
      
	* System.Data.SqlClient/SqlCommand.cs: modified - got 
      to compile, run, and execute a SQL INSERT command 
      which successfully inserted a row 
      into the PostgreSQL database

	* System.Data.SqlClient/SqlTransaction.cs: modified
	* System.Data.SqlClient/SqlParameter.cs: modified
	* System.Data.SqlClient/SqlParameterCollection.cs: modified
	* System.Data.SqlClient/SqlError.cs: modified
	* System.Data.SqlClient/SqlErrorCollection.cs: modified
	* System.Data.SqlClient/SqlException.cs: modified
	* System.Data.SqlClient/PostgresLibrary.cs: modified - to compile

	* System.Data.SqlClient/SqlAdapter: modified
	* System.Data.SqlClient/SqlReader: modified - add more stubs
	
2002-04-16  Daniel Morgan <danmorg@sc.rr.com>

	* Test/TestSqlInsert.cs: added 

2002-04-15  Daniel Morgan <danmorg@sc.rr.com>

	* System.Data.SqlClient/SqlInfoMessageEventArgs.cs: added - using in
	  class SqlConnecition
	* System.Data.SqlClient/SqlErrorCollection.cs: added
	* System.Data.SqlClient/SqlErrors.cs: removed - no such class SqlErrors

2002-04-15  Christopher Podurgiel <cpodurgiel@msn.com>
	
	* System.Data.IDbDataParameter: Added Interface to IDataParameter.
	* System.Data.IDbTransaction: Added Interface to IDisposable.
	* System.Data.IDbCommand: Fixed Capitalization of class name.
	* System.Data.IDbConnection: Fixed Capitalization of class name.

2002-04-15  Rodrigo Moya <rodrigo@ximian.com>

	* System.Data.Common/DbDataPermissionAttribute.cs:
	* System.Data.Common/DataAdapter.cs:
	* System.Data.Common/DataColumnMapping.cs:
	* System.Data.Common/DbDataPermission.cs: added some implementation.

2002-04-15  Rodrigo Moya <rodrigo@ximian.com>

	* System.Data.SqlClient/SqlConnection.cs: fixed constructor chaining
	syntax, as pointed out by Levent Camlibel.

2002-04-14  Rodrigo Moya <rodrigo@ximian.com>

	* System.Data.SqlTypes/SqlBinary.cs:
	* System.Data.SqlTypes/INullable.cs: new skeletons.

2002-04-14  Daniel Morgan <danmorg@sc.rr.com>

	* System.Data.SqlClient/PostgresLibrary.cs: new internal class, which
	contains all calls the the PostgreSQL client library, to be used
	everywhere in System.Data.SqlClient.

2002-03-30  Rodrigo Moya <rodrigo@ximian.com>

	* System.Data.SqlClient/SqlConnection.cs: implemented basic
	constructors.

	* System.Data.SqlTypes/SqlNullValueException.cs: new skeletons.

2002-03-29  Rodrigo Moya <rodrigo@ximian.com>

	* System.Data.Common/DbDataRecord.cs:
	* System.Data.Common/DbEnumerator.cs:
	* System.Data.Common/RowUpdatedEventArgs.cs:
	* System.Data.Common/RowUpdatingEventArgs.cs:
	* System.Data.Common/DbDataPermissionAttribute.cs: new skeletons.

2002-03-28  Rodrigo Moya <rodrigo@ximian.com>

	* System.Data.Common/DataTableMappingCollection.cs:
	* System.Data.Common/DbDataAdapter.cs:
	* System.Data.Common/DbDataPermission.cs:
	* System.Data.Common/DataTableMapping.cs: new skeletons.

	* System.Data.SqlClient/SqlDataAdapter.cs:
	* System.Data.SqlClient/SqlDataReader.cs:
	* System.Data.SqlClient/SqlErrors.cs:
	* System.Data.SqlClient/SqlError.cs:
	* System.Data.SqlClient/SqlException.cs:
	* System.Data.SqlClient/SqlParameter.cs:
	* System.Data.SqlClient/SqlParameterCollection.cs:
	* System.Data.SqlClient/SqlTransaction.cs:
	* System.Data.SqlClient/SqlCommand.cs: fixed skeletons.

2002-03-27  Rodrigo Moya <rodrigo@ximian.com>

	* System.Data.Common/DataColumnMapping.cs:
	* System.Data.Common/DataColumnMappingCollection.cs:
	* System.Data.Common/DataAdapter.cs: created skeletons.

	* System.Data.build: exclude new directories from build.

2002-03-27  Rodrigo Moya <rodrigo@ximian.com>

	* System.Data.SqlClient/SqlTransaction.cs: started implementation.
	
	* System.Data.SqlClient/SqlConnection.cs (BeginTransaction):
	implemented (2 methods).

2002-03-24  Duncan Mak  <duncan@ximian.com>

	* System.Data.build: Excluded System.Data.SqlClient from the build.
	The stubs are incomplete and they are stopping the build.

	* System.Data.SqlClient/SqlCommand.cs: Replaced 'implements' with ':'.

2002-03-24  Rodrigo Moya <rodrigo@ximian.com>

	* System.Data.SqlClient/*: added skeletons for the SQL managed
	provider for ADO.Net, to be based initially in PostgreSQL.

2002-03-15  Christopher Podurgiel <cpodurgiel@msn.com>
	
	Changed the Namespace on some Enums from mono.System.Data to System.Data

2002-03-01  Christopher Podurgiel <cpodurgiel@msn.com>

	* DataColumnCollection.cs : When an existing DataColumn is added, will now Assign a 
		default name if the ColumnName is null.
	* DataSet.cs : Added
	* DataTable.cs : Added
	* DataRelationCollection.cs : Added
	* DataTableRelationCollection.cs : Added
	* DataColumn : Added

2002-02-11  Christopher Podurgiel <cpodurgiel@msn.com>

	* DataColumnChangeEventArgs.cs : Added
	* DataColumnCollection.cs : Added

2002-02-10  Christopher Podurgiel <cpodurgiel@msn.com>
	
	* Removed *.cs from System.Data as the correct files are in mcs/class/System.Data/System.Data
	* Updated all Enums, Interfaces, and Delegates in System.Data
